/*
  Simple DirectMedia Layer
  Copyright (C) 1997-2022 Sam Lantinga <slouken@libsdl.org>

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
*/

/*
 * This file #includes the proper SDL 2.0 headers, but #defines a whole
 *  bunch of stuff so we don't conflict with symbols we plan to offer with
 *  the 1.2 signatures. Ugly business.
 */

#ifndef _INCL_SDL20_INCLUDE_WRAPPER_H_
#define _INCL_SDL20_INCLUDE_WRAPPER_H_

#define SDL_SetError IGNORE_THIS_VERSION_OF_SDL_SetError
#define SDL_Log IGNORE_THIS_VERSION_OF_SDL_Log
#define SDL_LogVerbose IGNORE_THIS_VERSION_OF_SDL_LogVerbose
#define SDL_LogDebug IGNORE_THIS_VERSION_OF_SDL_LogDebug
#define SDL_LogInfo IGNORE_THIS_VERSION_OF_SDL_LogInfo
#define SDL_LogWarn IGNORE_THIS_VERSION_OF_SDL_LogWarn
#define SDL_LogError IGNORE_THIS_VERSION_OF_SDL_LogError
#define SDL_LogCritical IGNORE_THIS_VERSION_OF_SDL_LogCritical
#define SDL_LogMessage IGNORE_THIS_VERSION_OF_SDL_LogMessage
#define SDL_sscanf IGNORE_THIS_VERSION_OF_SDL_sscanf
#define SDL_snprintf IGNORE_THIS_VERSION_OF_SDL_snprintf
#define SDL_CreateThread IGNORE_THIS_VERSION_OF_SDL_CreateThread
#define SDL_RWFromFP IGNORE_THIS_VERSION_OF_SDL_RWFromFP
#define SDL_RegisterApp IGNORE_THIS_VERSION_OF_SDL_RegisterApp
#define SDL_UnregisterApp IGNORE_THIS_VERSION_OF_SDL_UnregisterApp
#define SDL_Direct3D9GetAdapterIndex IGNORE_THIS_VERSION_OF_SDL_Direct3D9GetAdapterIndex
#define SDL_RenderGetD3D9Device IGNORE_THIS_VERSION_OF_SDL_RenderGetD3D9Device
#define SDL_iPhoneSetAnimationCallback IGNORE_THIS_VERSION_OF_SDL_iPhoneSetAnimationCallback
#define SDL_iPhoneSetEventPump IGNORE_THIS_VERSION_OF_SDL_iPhoneSetEventPump
#define SDL_AndroidGetJNIEnv IGNORE_THIS_VERSION_OF_SDL_AndroidGetJNIEnv
#define SDL_AndroidGetActivity IGNORE_THIS_VERSION_OF_SDL_AndroidGetActivity
#define SDL_AndroidGetInternalStoragePath IGNORE_THIS_VERSION_OF_SDL_AndroidGetInternalStoragePath
#define SDL_AndroidGetExternalStorageState IGNORE_THIS_VERSION_OF_SDL_AndroidGetExternalStorageState
#define SDL_AndroidGetExternalStoragePath IGNORE_THIS_VERSION_OF_SDL_AndroidGetExternalStoragePath
#define SDL_Init IGNORE_THIS_VERSION_OF_SDL_Init
#define SDL_InitSubSystem IGNORE_THIS_VERSION_OF_SDL_InitSubSystem
#define SDL_QuitSubSystem IGNORE_THIS_VERSION_OF_SDL_QuitSubSystem
#define SDL_WasInit IGNORE_THIS_VERSION_OF_SDL_WasInit
#define SDL_Quit IGNORE_THIS_VERSION_OF_SDL_Quit
#define SDL_ReportAssertion IGNORE_THIS_VERSION_OF_SDL_ReportAssertion
#define SDL_SetAssertionHandler IGNORE_THIS_VERSION_OF_SDL_SetAssertionHandler
#define SDL_GetAssertionReport IGNORE_THIS_VERSION_OF_SDL_GetAssertionReport
#define SDL_ResetAssertionReport IGNORE_THIS_VERSION_OF_SDL_ResetAssertionReport
#define SDL_AtomicTryLock IGNORE_THIS_VERSION_OF_SDL_AtomicTryLock
#define SDL_AtomicLock IGNORE_THIS_VERSION_OF_SDL_AtomicLock
#define SDL_AtomicUnlock IGNORE_THIS_VERSION_OF_SDL_AtomicUnlock
#define SDL_AtomicCAS IGNORE_THIS_VERSION_OF_SDL_AtomicCAS
#define SDL_AtomicSet IGNORE_THIS_VERSION_OF_SDL_AtomicSet
#define SDL_AtomicGet IGNORE_THIS_VERSION_OF_SDL_AtomicGet
#define SDL_AtomicAdd IGNORE_THIS_VERSION_OF_SDL_AtomicAdd
#define SDL_AtomicCASPtr IGNORE_THIS_VERSION_OF_SDL_AtomicCASPtr
#define SDL_AtomicSetPtr IGNORE_THIS_VERSION_OF_SDL_AtomicSetPtr
#define SDL_AtomicGetPtr IGNORE_THIS_VERSION_OF_SDL_AtomicGetPtr
#define SDL_GetNumAudioDrivers IGNORE_THIS_VERSION_OF_SDL_GetNumAudioDrivers
#define SDL_GetAudioDriver IGNORE_THIS_VERSION_OF_SDL_GetAudioDriver
#define SDL_AudioInit IGNORE_THIS_VERSION_OF_SDL_AudioInit
#define SDL_AudioQuit IGNORE_THIS_VERSION_OF_SDL_AudioQuit
#define SDL_GetCurrentAudioDriver IGNORE_THIS_VERSION_OF_SDL_GetCurrentAudioDriver
#define SDL_OpenAudio IGNORE_THIS_VERSION_OF_SDL_OpenAudio
#define SDL_GetNumAudioDevices IGNORE_THIS_VERSION_OF_SDL_GetNumAudioDevices
#define SDL_GetAudioDeviceName IGNORE_THIS_VERSION_OF_SDL_GetAudioDeviceName
#define SDL_OpenAudioDevice IGNORE_THIS_VERSION_OF_SDL_OpenAudioDevice
#define SDL_GetAudioStatus IGNORE_THIS_VERSION_OF_SDL_GetAudioStatus
#define SDL_GetAudioDeviceStatus IGNORE_THIS_VERSION_OF_SDL_GetAudioDeviceStatus
#define SDL_PauseAudio IGNORE_THIS_VERSION_OF_SDL_PauseAudio
#define SDL_PauseAudioDevice IGNORE_THIS_VERSION_OF_SDL_PauseAudioDevice
#define SDL_LoadWAV_RW IGNORE_THIS_VERSION_OF_SDL_LoadWAV_RW
#define SDL_FreeWAV IGNORE_THIS_VERSION_OF_SDL_FreeWAV
#define SDL_BuildAudioCVT IGNORE_THIS_VERSION_OF_SDL_BuildAudioCVT
#define SDL_ConvertAudio IGNORE_THIS_VERSION_OF_SDL_ConvertAudio
#define SDL_MixAudio IGNORE_THIS_VERSION_OF_SDL_MixAudio
#define SDL_MixAudioFormat IGNORE_THIS_VERSION_OF_SDL_MixAudioFormat
#define SDL_LockAudio IGNORE_THIS_VERSION_OF_SDL_LockAudio
#define SDL_LockAudioDevice IGNORE_THIS_VERSION_OF_SDL_LockAudioDevice
#define SDL_UnlockAudio IGNORE_THIS_VERSION_OF_SDL_UnlockAudio
#define SDL_UnlockAudioDevice IGNORE_THIS_VERSION_OF_SDL_UnlockAudioDevice
#define SDL_CloseAudio IGNORE_THIS_VERSION_OF_SDL_CloseAudio
#define SDL_CloseAudioDevice IGNORE_THIS_VERSION_OF_SDL_CloseAudioDevice
#define SDL_SetClipboardText IGNORE_THIS_VERSION_OF_SDL_SetClipboardText
#define SDL_GetClipboardText IGNORE_THIS_VERSION_OF_SDL_GetClipboardText
#define SDL_HasClipboardText IGNORE_THIS_VERSION_OF_SDL_HasClipboardText
#define SDL_GetCPUCount IGNORE_THIS_VERSION_OF_SDL_GetCPUCount
#define SDL_GetCPUCacheLineSize IGNORE_THIS_VERSION_OF_SDL_GetCPUCacheLineSize
#define SDL_HasRDTSC IGNORE_THIS_VERSION_OF_SDL_HasRDTSC
#define SDL_HasAltiVec IGNORE_THIS_VERSION_OF_SDL_HasAltiVec
#define SDL_HasMMX IGNORE_THIS_VERSION_OF_SDL_HasMMX
#define SDL_Has3DNow IGNORE_THIS_VERSION_OF_SDL_Has3DNow
#define SDL_HasSSE IGNORE_THIS_VERSION_OF_SDL_HasSSE
#define SDL_HasSSE2 IGNORE_THIS_VERSION_OF_SDL_HasSSE2
#define SDL_HasSSE3 IGNORE_THIS_VERSION_OF_SDL_HasSSE3
#define SDL_HasSSE41 IGNORE_THIS_VERSION_OF_SDL_HasSSE41
#define SDL_HasSSE42 IGNORE_THIS_VERSION_OF_SDL_HasSSE42
#define SDL_GetSystemRAM IGNORE_THIS_VERSION_OF_SDL_GetSystemRAM
#define SDL_GetError IGNORE_THIS_VERSION_OF_SDL_GetError
#define SDL_ClearError IGNORE_THIS_VERSION_OF_SDL_ClearError
#define SDL_Error IGNORE_THIS_VERSION_OF_SDL_Error
#define SDL_PumpEvents IGNORE_THIS_VERSION_OF_SDL_PumpEvents
#define SDL_PeepEvents IGNORE_THIS_VERSION_OF_SDL_PeepEvents
#define SDL_HasEvent IGNORE_THIS_VERSION_OF_SDL_HasEvent
#define SDL_HasEvents IGNORE_THIS_VERSION_OF_SDL_HasEvents
#define SDL_FlushEvent IGNORE_THIS_VERSION_OF_SDL_FlushEvent
#define SDL_FlushEvents IGNORE_THIS_VERSION_OF_SDL_FlushEvents
#define SDL_PollEvent IGNORE_THIS_VERSION_OF_SDL_PollEvent
#define SDL_WaitEvent IGNORE_THIS_VERSION_OF_SDL_WaitEvent
#define SDL_WaitEventTimeout IGNORE_THIS_VERSION_OF_SDL_WaitEventTimeout
#define SDL_PushEvent IGNORE_THIS_VERSION_OF_SDL_PushEvent
#define SDL_SetEventFilter IGNORE_THIS_VERSION_OF_SDL_SetEventFilter
#define SDL_GetEventFilter IGNORE_THIS_VERSION_OF_SDL_GetEventFilter
#define SDL_AddEventWatch IGNORE_THIS_VERSION_OF_SDL_AddEventWatch
#define SDL_DelEventWatch IGNORE_THIS_VERSION_OF_SDL_DelEventWatch
#define SDL_FilterEvents IGNORE_THIS_VERSION_OF_SDL_FilterEvents
#define SDL_EventState IGNORE_THIS_VERSION_OF_SDL_EventState
#define SDL_RegisterEvents IGNORE_THIS_VERSION_OF_SDL_RegisterEvents
#define SDL_GetBasePath IGNORE_THIS_VERSION_OF_SDL_GetBasePath
#define SDL_GetPrefPath IGNORE_THIS_VERSION_OF_SDL_GetPrefPath
#define SDL_GameControllerAddMapping IGNORE_THIS_VERSION_OF_SDL_GameControllerAddMapping
#define SDL_GameControllerMappingForGUID IGNORE_THIS_VERSION_OF_SDL_GameControllerMappingForGUID
#define SDL_GameControllerMapping IGNORE_THIS_VERSION_OF_SDL_GameControllerMapping
#define SDL_IsGameController IGNORE_THIS_VERSION_OF_SDL_IsGameController
#define SDL_GameControllerNameForIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerNameForIndex
#define SDL_GameControllerOpen IGNORE_THIS_VERSION_OF_SDL_GameControllerOpen
#define SDL_GameControllerName IGNORE_THIS_VERSION_OF_SDL_GameControllerName
#define SDL_GameControllerGetAttached IGNORE_THIS_VERSION_OF_SDL_GameControllerGetAttached
#define SDL_GameControllerGetJoystick IGNORE_THIS_VERSION_OF_SDL_GameControllerGetJoystick
#define SDL_GameControllerEventState IGNORE_THIS_VERSION_OF_SDL_GameControllerEventState
#define SDL_GameControllerUpdate IGNORE_THIS_VERSION_OF_SDL_GameControllerUpdate
#define SDL_GameControllerGetAxisFromString IGNORE_THIS_VERSION_OF_SDL_GameControllerGetAxisFromString
#define SDL_GameControllerGetStringForAxis IGNORE_THIS_VERSION_OF_SDL_GameControllerGetStringForAxis
#define SDL_GameControllerGetBindForAxis IGNORE_THIS_VERSION_OF_SDL_GameControllerGetBindForAxis
#define SDL_GameControllerGetAxis IGNORE_THIS_VERSION_OF_SDL_GameControllerGetAxis
#define SDL_GameControllerGetButtonFromString IGNORE_THIS_VERSION_OF_SDL_GameControllerGetButtonFromString
#define SDL_GameControllerGetStringForButton IGNORE_THIS_VERSION_OF_SDL_GameControllerGetStringForButton
#define SDL_GameControllerGetBindForButton IGNORE_THIS_VERSION_OF_SDL_GameControllerGetBindForButton
#define SDL_GameControllerGetButton IGNORE_THIS_VERSION_OF_SDL_GameControllerGetButton
#define SDL_GameControllerClose IGNORE_THIS_VERSION_OF_SDL_GameControllerClose
#define SDL_RecordGesture IGNORE_THIS_VERSION_OF_SDL_RecordGesture
#define SDL_SaveAllDollarTemplates IGNORE_THIS_VERSION_OF_SDL_SaveAllDollarTemplates
#define SDL_SaveDollarTemplate IGNORE_THIS_VERSION_OF_SDL_SaveDollarTemplate
#define SDL_LoadDollarTemplates IGNORE_THIS_VERSION_OF_SDL_LoadDollarTemplates
#define SDL_NumHaptics IGNORE_THIS_VERSION_OF_SDL_NumHaptics
#define SDL_HapticName IGNORE_THIS_VERSION_OF_SDL_HapticName
#define SDL_HapticOpen IGNORE_THIS_VERSION_OF_SDL_HapticOpen
#define SDL_HapticOpened IGNORE_THIS_VERSION_OF_SDL_HapticOpened
#define SDL_HapticIndex IGNORE_THIS_VERSION_OF_SDL_HapticIndex
#define SDL_MouseIsHaptic IGNORE_THIS_VERSION_OF_SDL_MouseIsHaptic
#define SDL_HapticOpenFromMouse IGNORE_THIS_VERSION_OF_SDL_HapticOpenFromMouse
#define SDL_JoystickIsHaptic IGNORE_THIS_VERSION_OF_SDL_JoystickIsHaptic
#define SDL_HapticOpenFromJoystick IGNORE_THIS_VERSION_OF_SDL_HapticOpenFromJoystick
#define SDL_HapticClose IGNORE_THIS_VERSION_OF_SDL_HapticClose
#define SDL_HapticNumEffects IGNORE_THIS_VERSION_OF_SDL_HapticNumEffects
#define SDL_HapticNumEffectsPlaying IGNORE_THIS_VERSION_OF_SDL_HapticNumEffectsPlaying
#define SDL_HapticQuery IGNORE_THIS_VERSION_OF_SDL_HapticQuery
#define SDL_HapticNumAxes IGNORE_THIS_VERSION_OF_SDL_HapticNumAxes
#define SDL_HapticEffectSupported IGNORE_THIS_VERSION_OF_SDL_HapticEffectSupported
#define SDL_HapticNewEffect IGNORE_THIS_VERSION_OF_SDL_HapticNewEffect
#define SDL_HapticUpdateEffect IGNORE_THIS_VERSION_OF_SDL_HapticUpdateEffect
#define SDL_HapticRunEffect IGNORE_THIS_VERSION_OF_SDL_HapticRunEffect
#define SDL_HapticStopEffect IGNORE_THIS_VERSION_OF_SDL_HapticStopEffect
#define SDL_HapticDestroyEffect IGNORE_THIS_VERSION_OF_SDL_HapticDestroyEffect
#define SDL_HapticGetEffectStatus IGNORE_THIS_VERSION_OF_SDL_HapticGetEffectStatus
#define SDL_HapticSetGain IGNORE_THIS_VERSION_OF_SDL_HapticSetGain
#define SDL_HapticSetAutocenter IGNORE_THIS_VERSION_OF_SDL_HapticSetAutocenter
#define SDL_HapticPause IGNORE_THIS_VERSION_OF_SDL_HapticPause
#define SDL_HapticUnpause IGNORE_THIS_VERSION_OF_SDL_HapticUnpause
#define SDL_HapticStopAll IGNORE_THIS_VERSION_OF_SDL_HapticStopAll
#define SDL_HapticRumbleSupported IGNORE_THIS_VERSION_OF_SDL_HapticRumbleSupported
#define SDL_HapticRumbleInit IGNORE_THIS_VERSION_OF_SDL_HapticRumbleInit
#define SDL_HapticRumblePlay IGNORE_THIS_VERSION_OF_SDL_HapticRumblePlay
#define SDL_HapticRumbleStop IGNORE_THIS_VERSION_OF_SDL_HapticRumbleStop
#define SDL_SetHintWithPriority IGNORE_THIS_VERSION_OF_SDL_SetHintWithPriority
#define SDL_SetHint IGNORE_THIS_VERSION_OF_SDL_SetHint
#define SDL_GetHint IGNORE_THIS_VERSION_OF_SDL_GetHint
#define SDL_AddHintCallback IGNORE_THIS_VERSION_OF_SDL_AddHintCallback
#define SDL_DelHintCallback IGNORE_THIS_VERSION_OF_SDL_DelHintCallback
#define SDL_ClearHints IGNORE_THIS_VERSION_OF_SDL_ClearHints
#define SDL_NumJoysticks IGNORE_THIS_VERSION_OF_SDL_NumJoysticks
#define SDL_JoystickNameForIndex IGNORE_THIS_VERSION_OF_SDL_JoystickNameForIndex
#define SDL_JoystickOpen IGNORE_THIS_VERSION_OF_SDL_JoystickOpen
#define SDL_JoystickName IGNORE_THIS_VERSION_OF_SDL_JoystickName
#define SDL_JoystickGetDeviceGUID IGNORE_THIS_VERSION_OF_SDL_JoystickGetDeviceGUID
#define SDL_JoystickGetGUID IGNORE_THIS_VERSION_OF_SDL_JoystickGetGUID
#define SDL_JoystickGetGUIDString IGNORE_THIS_VERSION_OF_SDL_JoystickGetGUIDString
#define SDL_JoystickGetGUIDFromString IGNORE_THIS_VERSION_OF_SDL_JoystickGetGUIDFromString
#define SDL_JoystickGetAttached IGNORE_THIS_VERSION_OF_SDL_JoystickGetAttached
#define SDL_JoystickInstanceID IGNORE_THIS_VERSION_OF_SDL_JoystickInstanceID
#define SDL_JoystickNumAxes IGNORE_THIS_VERSION_OF_SDL_JoystickNumAxes
#define SDL_JoystickNumBalls IGNORE_THIS_VERSION_OF_SDL_JoystickNumBalls
#define SDL_JoystickNumHats IGNORE_THIS_VERSION_OF_SDL_JoystickNumHats
#define SDL_JoystickNumButtons IGNORE_THIS_VERSION_OF_SDL_JoystickNumButtons
#define SDL_JoystickUpdate IGNORE_THIS_VERSION_OF_SDL_JoystickUpdate
#define SDL_JoystickEventState IGNORE_THIS_VERSION_OF_SDL_JoystickEventState
#define SDL_JoystickGetAxis IGNORE_THIS_VERSION_OF_SDL_JoystickGetAxis
#define SDL_JoystickGetHat IGNORE_THIS_VERSION_OF_SDL_JoystickGetHat
#define SDL_JoystickGetBall IGNORE_THIS_VERSION_OF_SDL_JoystickGetBall
#define SDL_JoystickGetButton IGNORE_THIS_VERSION_OF_SDL_JoystickGetButton
#define SDL_JoystickClose IGNORE_THIS_VERSION_OF_SDL_JoystickClose
#define SDL_GetKeyboardFocus IGNORE_THIS_VERSION_OF_SDL_GetKeyboardFocus
#define SDL_GetKeyboardState IGNORE_THIS_VERSION_OF_SDL_GetKeyboardState
#define SDL_GetModState IGNORE_THIS_VERSION_OF_SDL_GetModState
#define SDL_SetModState IGNORE_THIS_VERSION_OF_SDL_SetModState
#define SDL_GetKeyFromScancode IGNORE_THIS_VERSION_OF_SDL_GetKeyFromScancode
#define SDL_GetScancodeFromKey IGNORE_THIS_VERSION_OF_SDL_GetScancodeFromKey
#define SDL_GetScancodeName IGNORE_THIS_VERSION_OF_SDL_GetScancodeName
#define SDL_GetScancodeFromName IGNORE_THIS_VERSION_OF_SDL_GetScancodeFromName
#define SDL_GetKeyName IGNORE_THIS_VERSION_OF_SDL_GetKeyName
#define SDL_GetKeyFromName IGNORE_THIS_VERSION_OF_SDL_GetKeyFromName
#define SDL_StartTextInput IGNORE_THIS_VERSION_OF_SDL_StartTextInput
#define SDL_IsTextInputActive IGNORE_THIS_VERSION_OF_SDL_IsTextInputActive
#define SDL_StopTextInput IGNORE_THIS_VERSION_OF_SDL_StopTextInput
#define SDL_SetTextInputRect IGNORE_THIS_VERSION_OF_SDL_SetTextInputRect
#define SDL_HasScreenKeyboardSupport IGNORE_THIS_VERSION_OF_SDL_HasScreenKeyboardSupport
#define SDL_IsScreenKeyboardShown IGNORE_THIS_VERSION_OF_SDL_IsScreenKeyboardShown
#define SDL_LoadObject IGNORE_THIS_VERSION_OF_SDL_LoadObject
#define SDL_LoadFunction IGNORE_THIS_VERSION_OF_SDL_LoadFunction
#define SDL_UnloadObject IGNORE_THIS_VERSION_OF_SDL_UnloadObject
#define SDL_LogSetAllPriority IGNORE_THIS_VERSION_OF_SDL_LogSetAllPriority
#define SDL_LogSetPriority IGNORE_THIS_VERSION_OF_SDL_LogSetPriority
#define SDL_LogGetPriority IGNORE_THIS_VERSION_OF_SDL_LogGetPriority
#define SDL_LogResetPriorities IGNORE_THIS_VERSION_OF_SDL_LogResetPriorities
#define SDL_LogMessageV IGNORE_THIS_VERSION_OF_SDL_LogMessageV
#define SDL_LogGetOutputFunction IGNORE_THIS_VERSION_OF_SDL_LogGetOutputFunction
#define SDL_LogSetOutputFunction IGNORE_THIS_VERSION_OF_SDL_LogSetOutputFunction
#define SDL_SetMainReady IGNORE_THIS_VERSION_OF_SDL_SetMainReady
#define SDL_ShowMessageBox IGNORE_THIS_VERSION_OF_SDL_ShowMessageBox
#define SDL_ShowSimpleMessageBox IGNORE_THIS_VERSION_OF_SDL_ShowSimpleMessageBox
#define SDL_GetMouseFocus IGNORE_THIS_VERSION_OF_SDL_GetMouseFocus
#define SDL_GetMouseState IGNORE_THIS_VERSION_OF_SDL_GetMouseState
#define SDL_GetRelativeMouseState IGNORE_THIS_VERSION_OF_SDL_GetRelativeMouseState
#define SDL_WarpMouseInWindow IGNORE_THIS_VERSION_OF_SDL_WarpMouseInWindow
#define SDL_SetRelativeMouseMode IGNORE_THIS_VERSION_OF_SDL_SetRelativeMouseMode
#define SDL_GetRelativeMouseMode IGNORE_THIS_VERSION_OF_SDL_GetRelativeMouseMode
#define SDL_CreateCursor IGNORE_THIS_VERSION_OF_SDL_CreateCursor
#define SDL_CreateColorCursor IGNORE_THIS_VERSION_OF_SDL_CreateColorCursor
#define SDL_CreateSystemCursor IGNORE_THIS_VERSION_OF_SDL_CreateSystemCursor
#define SDL_SetCursor IGNORE_THIS_VERSION_OF_SDL_SetCursor
#define SDL_GetCursor IGNORE_THIS_VERSION_OF_SDL_GetCursor
#define SDL_GetDefaultCursor IGNORE_THIS_VERSION_OF_SDL_GetDefaultCursor
#define SDL_FreeCursor IGNORE_THIS_VERSION_OF_SDL_FreeCursor
#define SDL_ShowCursor IGNORE_THIS_VERSION_OF_SDL_ShowCursor
#define SDL_CreateMutex IGNORE_THIS_VERSION_OF_SDL_CreateMutex
#define SDL_LockMutex IGNORE_THIS_VERSION_OF_SDL_LockMutex
#define SDL_TryLockMutex IGNORE_THIS_VERSION_OF_SDL_TryLockMutex
#define SDL_UnlockMutex IGNORE_THIS_VERSION_OF_SDL_UnlockMutex
#define SDL_DestroyMutex IGNORE_THIS_VERSION_OF_SDL_DestroyMutex
#define SDL_CreateSemaphore IGNORE_THIS_VERSION_OF_SDL_CreateSemaphore
#define SDL_DestroySemaphore IGNORE_THIS_VERSION_OF_SDL_DestroySemaphore
#define SDL_SemWait IGNORE_THIS_VERSION_OF_SDL_SemWait
#define SDL_SemTryWait IGNORE_THIS_VERSION_OF_SDL_SemTryWait
#define SDL_SemWaitTimeout IGNORE_THIS_VERSION_OF_SDL_SemWaitTimeout
#define SDL_SemPost IGNORE_THIS_VERSION_OF_SDL_SemPost
#define SDL_SemValue IGNORE_THIS_VERSION_OF_SDL_SemValue
#define SDL_CreateCond IGNORE_THIS_VERSION_OF_SDL_CreateCond
#define SDL_DestroyCond IGNORE_THIS_VERSION_OF_SDL_DestroyCond
#define SDL_CondSignal IGNORE_THIS_VERSION_OF_SDL_CondSignal
#define SDL_CondBroadcast IGNORE_THIS_VERSION_OF_SDL_CondBroadcast
#define SDL_CondWait IGNORE_THIS_VERSION_OF_SDL_CondWait
#define SDL_CondWaitTimeout IGNORE_THIS_VERSION_OF_SDL_CondWaitTimeout
#define SDL_GetPixelFormatName IGNORE_THIS_VERSION_OF_SDL_GetPixelFormatName
#define SDL_PixelFormatEnumToMasks IGNORE_THIS_VERSION_OF_SDL_PixelFormatEnumToMasks
#define SDL_MasksToPixelFormatEnum IGNORE_THIS_VERSION_OF_SDL_MasksToPixelFormatEnum
#define SDL_AllocFormat IGNORE_THIS_VERSION_OF_SDL_AllocFormat
#define SDL_FreeFormat IGNORE_THIS_VERSION_OF_SDL_FreeFormat
#define SDL_AllocPalette IGNORE_THIS_VERSION_OF_SDL_AllocPalette
#define SDL_SetPixelFormatPalette IGNORE_THIS_VERSION_OF_SDL_SetPixelFormatPalette
#define SDL_SetPaletteColors IGNORE_THIS_VERSION_OF_SDL_SetPaletteColors
#define SDL_FreePalette IGNORE_THIS_VERSION_OF_SDL_FreePalette
#define SDL_MapRGB IGNORE_THIS_VERSION_OF_SDL_MapRGB
#define SDL_MapRGBA IGNORE_THIS_VERSION_OF_SDL_MapRGBA
#define SDL_GetRGB IGNORE_THIS_VERSION_OF_SDL_GetRGB
#define SDL_GetRGBA IGNORE_THIS_VERSION_OF_SDL_GetRGBA
#define SDL_CalculateGammaRamp IGNORE_THIS_VERSION_OF_SDL_CalculateGammaRamp
#define SDL_GetPlatform IGNORE_THIS_VERSION_OF_SDL_GetPlatform
#define SDL_GetPowerInfo IGNORE_THIS_VERSION_OF_SDL_GetPowerInfo
#define SDL_HasIntersection IGNORE_THIS_VERSION_OF_SDL_HasIntersection
#define SDL_IntersectRect IGNORE_THIS_VERSION_OF_SDL_IntersectRect
#define SDL_UnionRect IGNORE_THIS_VERSION_OF_SDL_UnionRect
#define SDL_EnclosePoints IGNORE_THIS_VERSION_OF_SDL_EnclosePoints
#define SDL_IntersectRectAndLine IGNORE_THIS_VERSION_OF_SDL_IntersectRectAndLine
#define SDL_GetNumRenderDrivers IGNORE_THIS_VERSION_OF_SDL_GetNumRenderDrivers
#define SDL_GetRenderDriverInfo IGNORE_THIS_VERSION_OF_SDL_GetRenderDriverInfo
#define SDL_CreateWindowAndRenderer IGNORE_THIS_VERSION_OF_SDL_CreateWindowAndRenderer
#define SDL_CreateRenderer IGNORE_THIS_VERSION_OF_SDL_CreateRenderer
#define SDL_CreateSoftwareRenderer IGNORE_THIS_VERSION_OF_SDL_CreateSoftwareRenderer
#define SDL_GetRenderer IGNORE_THIS_VERSION_OF_SDL_GetRenderer
#define SDL_GetRendererInfo IGNORE_THIS_VERSION_OF_SDL_GetRendererInfo
#define SDL_GetRendererOutputSize IGNORE_THIS_VERSION_OF_SDL_GetRendererOutputSize
#define SDL_CreateTexture IGNORE_THIS_VERSION_OF_SDL_CreateTexture
#define SDL_CreateTextureFromSurface IGNORE_THIS_VERSION_OF_SDL_CreateTextureFromSurface
#define SDL_QueryTexture IGNORE_THIS_VERSION_OF_SDL_QueryTexture
#define SDL_SetTextureColorMod IGNORE_THIS_VERSION_OF_SDL_SetTextureColorMod
#define SDL_GetTextureColorMod IGNORE_THIS_VERSION_OF_SDL_GetTextureColorMod
#define SDL_SetTextureAlphaMod IGNORE_THIS_VERSION_OF_SDL_SetTextureAlphaMod
#define SDL_GetTextureAlphaMod IGNORE_THIS_VERSION_OF_SDL_GetTextureAlphaMod
#define SDL_SetTextureBlendMode IGNORE_THIS_VERSION_OF_SDL_SetTextureBlendMode
#define SDL_GetTextureBlendMode IGNORE_THIS_VERSION_OF_SDL_GetTextureBlendMode
#define SDL_UpdateTexture IGNORE_THIS_VERSION_OF_SDL_UpdateTexture
#define SDL_UpdateYUVTexture IGNORE_THIS_VERSION_OF_SDL_UpdateYUVTexture
#define SDL_LockTexture IGNORE_THIS_VERSION_OF_SDL_LockTexture
#define SDL_UnlockTexture IGNORE_THIS_VERSION_OF_SDL_UnlockTexture
#define SDL_RenderTargetSupported IGNORE_THIS_VERSION_OF_SDL_RenderTargetSupported
#define SDL_SetRenderTarget IGNORE_THIS_VERSION_OF_SDL_SetRenderTarget
#define SDL_GetRenderTarget IGNORE_THIS_VERSION_OF_SDL_GetRenderTarget
#define SDL_RenderSetLogicalSize IGNORE_THIS_VERSION_OF_SDL_RenderSetLogicalSize
#define SDL_RenderGetLogicalSize IGNORE_THIS_VERSION_OF_SDL_RenderGetLogicalSize
#define SDL_RenderSetViewport IGNORE_THIS_VERSION_OF_SDL_RenderSetViewport
#define SDL_RenderGetViewport IGNORE_THIS_VERSION_OF_SDL_RenderGetViewport
#define SDL_RenderSetClipRect IGNORE_THIS_VERSION_OF_SDL_RenderSetClipRect
#define SDL_RenderGetClipRect IGNORE_THIS_VERSION_OF_SDL_RenderGetClipRect
#define SDL_RenderSetScale IGNORE_THIS_VERSION_OF_SDL_RenderSetScale
#define SDL_RenderGetScale IGNORE_THIS_VERSION_OF_SDL_RenderGetScale
#define SDL_SetRenderDrawColor IGNORE_THIS_VERSION_OF_SDL_SetRenderDrawColor
#define SDL_GetRenderDrawColor IGNORE_THIS_VERSION_OF_SDL_GetRenderDrawColor
#define SDL_SetRenderDrawBlendMode IGNORE_THIS_VERSION_OF_SDL_SetRenderDrawBlendMode
#define SDL_GetRenderDrawBlendMode IGNORE_THIS_VERSION_OF_SDL_GetRenderDrawBlendMode
#define SDL_RenderClear IGNORE_THIS_VERSION_OF_SDL_RenderClear
#define SDL_RenderDrawPoint IGNORE_THIS_VERSION_OF_SDL_RenderDrawPoint
#define SDL_RenderDrawPoints IGNORE_THIS_VERSION_OF_SDL_RenderDrawPoints
#define SDL_RenderDrawLine IGNORE_THIS_VERSION_OF_SDL_RenderDrawLine
#define SDL_RenderDrawLines IGNORE_THIS_VERSION_OF_SDL_RenderDrawLines
#define SDL_RenderDrawRect IGNORE_THIS_VERSION_OF_SDL_RenderDrawRect
#define SDL_RenderDrawRects IGNORE_THIS_VERSION_OF_SDL_RenderDrawRects
#define SDL_RenderFillRect IGNORE_THIS_VERSION_OF_SDL_RenderFillRect
#define SDL_RenderFillRects IGNORE_THIS_VERSION_OF_SDL_RenderFillRects
#define SDL_RenderCopy IGNORE_THIS_VERSION_OF_SDL_RenderCopy
#define SDL_RenderCopyEx IGNORE_THIS_VERSION_OF_SDL_RenderCopyEx
#define SDL_RenderReadPixels IGNORE_THIS_VERSION_OF_SDL_RenderReadPixels
#define SDL_RenderPresent IGNORE_THIS_VERSION_OF_SDL_RenderPresent
#define SDL_DestroyTexture IGNORE_THIS_VERSION_OF_SDL_DestroyTexture
#define SDL_DestroyRenderer IGNORE_THIS_VERSION_OF_SDL_DestroyRenderer
#define SDL_GL_BindTexture IGNORE_THIS_VERSION_OF_SDL_GL_BindTexture
#define SDL_GL_UnbindTexture IGNORE_THIS_VERSION_OF_SDL_GL_UnbindTexture
#define SDL_RWFromFile IGNORE_THIS_VERSION_OF_SDL_RWFromFile
#define SDL_RWFromMem IGNORE_THIS_VERSION_OF_SDL_RWFromMem
#define SDL_RWFromConstMem IGNORE_THIS_VERSION_OF_SDL_RWFromConstMem
#define SDL_AllocRW IGNORE_THIS_VERSION_OF_SDL_AllocRW
#define SDL_FreeRW IGNORE_THIS_VERSION_OF_SDL_FreeRW
#define SDL_ReadU8 IGNORE_THIS_VERSION_OF_SDL_ReadU8
#define SDL_ReadLE16 IGNORE_THIS_VERSION_OF_SDL_ReadLE16
#define SDL_ReadBE16 IGNORE_THIS_VERSION_OF_SDL_ReadBE16
#define SDL_ReadLE32 IGNORE_THIS_VERSION_OF_SDL_ReadLE32
#define SDL_ReadBE32 IGNORE_THIS_VERSION_OF_SDL_ReadBE32
#define SDL_ReadLE64 IGNORE_THIS_VERSION_OF_SDL_ReadLE64
#define SDL_ReadBE64 IGNORE_THIS_VERSION_OF_SDL_ReadBE64
#define SDL_WriteU8 IGNORE_THIS_VERSION_OF_SDL_WriteU8
#define SDL_WriteLE16 IGNORE_THIS_VERSION_OF_SDL_WriteLE16
#define SDL_WriteBE16 IGNORE_THIS_VERSION_OF_SDL_WriteBE16
#define SDL_WriteLE32 IGNORE_THIS_VERSION_OF_SDL_WriteLE32
#define SDL_WriteBE32 IGNORE_THIS_VERSION_OF_SDL_WriteBE32
#define SDL_WriteLE64 IGNORE_THIS_VERSION_OF_SDL_WriteLE64
#define SDL_WriteBE64 IGNORE_THIS_VERSION_OF_SDL_WriteBE64
#define SDL_CreateShapedWindow IGNORE_THIS_VERSION_OF_SDL_CreateShapedWindow
#define SDL_IsShapedWindow IGNORE_THIS_VERSION_OF_SDL_IsShapedWindow
#define SDL_SetWindowShape IGNORE_THIS_VERSION_OF_SDL_SetWindowShape
#define SDL_GetShapedWindowMode IGNORE_THIS_VERSION_OF_SDL_GetShapedWindowMode
#define SDL_malloc IGNORE_THIS_VERSION_OF_SDL_malloc
#define SDL_calloc IGNORE_THIS_VERSION_OF_SDL_calloc
#define SDL_realloc IGNORE_THIS_VERSION_OF_SDL_realloc
#define SDL_free IGNORE_THIS_VERSION_OF_SDL_free
#define SDL_getenv IGNORE_THIS_VERSION_OF_SDL_getenv
#define SDL_setenv IGNORE_THIS_VERSION_OF_SDL_setenv
#define SDL_qsort IGNORE_THIS_VERSION_OF_SDL_qsort
#define SDL_abs IGNORE_THIS_VERSION_OF_SDL_abs
#define SDL_isdigit IGNORE_THIS_VERSION_OF_SDL_isdigit
#define SDL_isspace IGNORE_THIS_VERSION_OF_SDL_isspace
#define SDL_toupper IGNORE_THIS_VERSION_OF_SDL_toupper
#define SDL_tolower IGNORE_THIS_VERSION_OF_SDL_tolower
#define SDL_memset IGNORE_THIS_VERSION_OF_SDL_memset
#define SDL_memcpy IGNORE_THIS_VERSION_OF_SDL_memcpy
#define SDL_memmove IGNORE_THIS_VERSION_OF_SDL_memmove
#define SDL_memcmp IGNORE_THIS_VERSION_OF_SDL_memcmp
#define SDL_wcslen IGNORE_THIS_VERSION_OF_SDL_wcslen
#define SDL_wcslcpy IGNORE_THIS_VERSION_OF_SDL_wcslcpy
#define SDL_wcslcat IGNORE_THIS_VERSION_OF_SDL_wcslcat
#define SDL_strlen IGNORE_THIS_VERSION_OF_SDL_strlen
#define SDL_strlcpy IGNORE_THIS_VERSION_OF_SDL_strlcpy
#define SDL_utf8strlcpy IGNORE_THIS_VERSION_OF_SDL_utf8strlcpy
#define SDL_strlcat IGNORE_THIS_VERSION_OF_SDL_strlcat
#define SDL_strdup IGNORE_THIS_VERSION_OF_SDL_strdup
#define SDL_strrev IGNORE_THIS_VERSION_OF_SDL_strrev
#define SDL_strupr IGNORE_THIS_VERSION_OF_SDL_strupr
#define SDL_strlwr IGNORE_THIS_VERSION_OF_SDL_strlwr
#define SDL_strchr IGNORE_THIS_VERSION_OF_SDL_strchr
#define SDL_strrchr IGNORE_THIS_VERSION_OF_SDL_strrchr
#define SDL_strstr IGNORE_THIS_VERSION_OF_SDL_strstr
#define SDL_itoa IGNORE_THIS_VERSION_OF_SDL_itoa
#define SDL_uitoa IGNORE_THIS_VERSION_OF_SDL_uitoa
#define SDL_ltoa IGNORE_THIS_VERSION_OF_SDL_ltoa
#define SDL_ultoa IGNORE_THIS_VERSION_OF_SDL_ultoa
#define SDL_lltoa IGNORE_THIS_VERSION_OF_SDL_lltoa
#define SDL_ulltoa IGNORE_THIS_VERSION_OF_SDL_ulltoa
#define SDL_atoi IGNORE_THIS_VERSION_OF_SDL_atoi
#define SDL_atof IGNORE_THIS_VERSION_OF_SDL_atof
#define SDL_strtol IGNORE_THIS_VERSION_OF_SDL_strtol
#define SDL_strtoul IGNORE_THIS_VERSION_OF_SDL_strtoul
#define SDL_strtoll IGNORE_THIS_VERSION_OF_SDL_strtoll
#define SDL_strtoull IGNORE_THIS_VERSION_OF_SDL_strtoull
#define SDL_strtod IGNORE_THIS_VERSION_OF_SDL_strtod
#define SDL_strcmp IGNORE_THIS_VERSION_OF_SDL_strcmp
#define SDL_strncmp IGNORE_THIS_VERSION_OF_SDL_strncmp
#define SDL_strcasecmp IGNORE_THIS_VERSION_OF_SDL_strcasecmp
#define SDL_strncasecmp IGNORE_THIS_VERSION_OF_SDL_strncasecmp
#define SDL_vsnprintf IGNORE_THIS_VERSION_OF_SDL_vsnprintf
#define SDL_acos IGNORE_THIS_VERSION_OF_SDL_acos
#define SDL_asin IGNORE_THIS_VERSION_OF_SDL_asin
#define SDL_atan IGNORE_THIS_VERSION_OF_SDL_atan
#define SDL_atan2 IGNORE_THIS_VERSION_OF_SDL_atan2
#define SDL_ceil IGNORE_THIS_VERSION_OF_SDL_ceil
#define SDL_copysign IGNORE_THIS_VERSION_OF_SDL_copysign
#define SDL_cos IGNORE_THIS_VERSION_OF_SDL_cos
#define SDL_cosf IGNORE_THIS_VERSION_OF_SDL_cosf
#define SDL_fabs IGNORE_THIS_VERSION_OF_SDL_fabs
#define SDL_floor IGNORE_THIS_VERSION_OF_SDL_floor
#define SDL_log IGNORE_THIS_VERSION_OF_SDL_log
#define SDL_pow IGNORE_THIS_VERSION_OF_SDL_pow
#define SDL_scalbn IGNORE_THIS_VERSION_OF_SDL_scalbn
#define SDL_sin IGNORE_THIS_VERSION_OF_SDL_sin
#define SDL_sinf IGNORE_THIS_VERSION_OF_SDL_sinf
#define SDL_sqrt IGNORE_THIS_VERSION_OF_SDL_sqrt
#define SDL_iconv_open IGNORE_THIS_VERSION_OF_SDL_iconv_open
#define SDL_iconv_close IGNORE_THIS_VERSION_OF_SDL_iconv_close
#define SDL_iconv IGNORE_THIS_VERSION_OF_SDL_iconv
#define SDL_iconv_string IGNORE_THIS_VERSION_OF_SDL_iconv_string
#define SDL_CreateRGBSurface IGNORE_THIS_VERSION_OF_SDL_CreateRGBSurface
#define SDL_CreateRGBSurfaceFrom IGNORE_THIS_VERSION_OF_SDL_CreateRGBSurfaceFrom
#define SDL_FreeSurface IGNORE_THIS_VERSION_OF_SDL_FreeSurface
#define SDL_SetSurfacePalette IGNORE_THIS_VERSION_OF_SDL_SetSurfacePalette
#define SDL_LockSurface IGNORE_THIS_VERSION_OF_SDL_LockSurface
#define SDL_UnlockSurface IGNORE_THIS_VERSION_OF_SDL_UnlockSurface
#define SDL_LoadBMP_RW IGNORE_THIS_VERSION_OF_SDL_LoadBMP_RW
#define SDL_SaveBMP_RW IGNORE_THIS_VERSION_OF_SDL_SaveBMP_RW
#define SDL_SetSurfaceRLE IGNORE_THIS_VERSION_OF_SDL_SetSurfaceRLE
#define SDL_SetColorKey IGNORE_THIS_VERSION_OF_SDL_SetColorKey
#define SDL_GetColorKey IGNORE_THIS_VERSION_OF_SDL_GetColorKey
#define SDL_SetSurfaceColorMod IGNORE_THIS_VERSION_OF_SDL_SetSurfaceColorMod
#define SDL_GetSurfaceColorMod IGNORE_THIS_VERSION_OF_SDL_GetSurfaceColorMod
#define SDL_SetSurfaceAlphaMod IGNORE_THIS_VERSION_OF_SDL_SetSurfaceAlphaMod
#define SDL_GetSurfaceAlphaMod IGNORE_THIS_VERSION_OF_SDL_GetSurfaceAlphaMod
#define SDL_SetSurfaceBlendMode IGNORE_THIS_VERSION_OF_SDL_SetSurfaceBlendMode
#define SDL_GetSurfaceBlendMode IGNORE_THIS_VERSION_OF_SDL_GetSurfaceBlendMode
#define SDL_SetClipRect IGNORE_THIS_VERSION_OF_SDL_SetClipRect
#define SDL_GetClipRect IGNORE_THIS_VERSION_OF_SDL_GetClipRect
#define SDL_ConvertSurface IGNORE_THIS_VERSION_OF_SDL_ConvertSurface
#define SDL_ConvertSurfaceFormat IGNORE_THIS_VERSION_OF_SDL_ConvertSurfaceFormat
#define SDL_ConvertPixels IGNORE_THIS_VERSION_OF_SDL_ConvertPixels
#define SDL_FillRect IGNORE_THIS_VERSION_OF_SDL_FillRect
#define SDL_FillRects IGNORE_THIS_VERSION_OF_SDL_FillRects
#define SDL_UpperBlit IGNORE_THIS_VERSION_OF_SDL_UpperBlit
#define SDL_LowerBlit IGNORE_THIS_VERSION_OF_SDL_LowerBlit
#define SDL_SoftStretch IGNORE_THIS_VERSION_OF_SDL_SoftStretch
#define SDL_UpperBlitScaled IGNORE_THIS_VERSION_OF_SDL_UpperBlitScaled
#define SDL_LowerBlitScaled IGNORE_THIS_VERSION_OF_SDL_LowerBlitScaled
#define SDL_GetWindowWMInfo IGNORE_THIS_VERSION_OF_SDL_GetWindowWMInfo
#define SDL_GetThreadName IGNORE_THIS_VERSION_OF_SDL_GetThreadName
#define SDL_ThreadID IGNORE_THIS_VERSION_OF_SDL_ThreadID
#define SDL_GetThreadID IGNORE_THIS_VERSION_OF_SDL_GetThreadID
#define SDL_SetThreadPriority IGNORE_THIS_VERSION_OF_SDL_SetThreadPriority
#define SDL_WaitThread IGNORE_THIS_VERSION_OF_SDL_WaitThread
#define SDL_DetachThread IGNORE_THIS_VERSION_OF_SDL_DetachThread
#define SDL_TLSCreate IGNORE_THIS_VERSION_OF_SDL_TLSCreate
#define SDL_TLSGet IGNORE_THIS_VERSION_OF_SDL_TLSGet
#define SDL_TLSSet IGNORE_THIS_VERSION_OF_SDL_TLSSet
#define SDL_GetTicks IGNORE_THIS_VERSION_OF_SDL_GetTicks
#define SDL_GetPerformanceCounter IGNORE_THIS_VERSION_OF_SDL_GetPerformanceCounter
#define SDL_GetPerformanceFrequency IGNORE_THIS_VERSION_OF_SDL_GetPerformanceFrequency
#define SDL_Delay IGNORE_THIS_VERSION_OF_SDL_Delay
#define SDL_AddTimer IGNORE_THIS_VERSION_OF_SDL_AddTimer
#define SDL_RemoveTimer IGNORE_THIS_VERSION_OF_SDL_RemoveTimer
#define SDL_GetNumTouchDevices IGNORE_THIS_VERSION_OF_SDL_GetNumTouchDevices
#define SDL_GetTouchDevice IGNORE_THIS_VERSION_OF_SDL_GetTouchDevice
#define SDL_GetNumTouchFingers IGNORE_THIS_VERSION_OF_SDL_GetNumTouchFingers
#define SDL_GetTouchFinger IGNORE_THIS_VERSION_OF_SDL_GetTouchFinger
#define SDL_GetVersion IGNORE_THIS_VERSION_OF_SDL_GetVersion
#define SDL_GetRevision IGNORE_THIS_VERSION_OF_SDL_GetRevision
#define SDL_GetRevisionNumber IGNORE_THIS_VERSION_OF_SDL_GetRevisionNumber
#define SDL_GetNumVideoDrivers IGNORE_THIS_VERSION_OF_SDL_GetNumVideoDrivers
#define SDL_GetVideoDriver IGNORE_THIS_VERSION_OF_SDL_GetVideoDriver
#define SDL_VideoInit IGNORE_THIS_VERSION_OF_SDL_VideoInit
#define SDL_VideoQuit IGNORE_THIS_VERSION_OF_SDL_VideoQuit
#define SDL_GetCurrentVideoDriver IGNORE_THIS_VERSION_OF_SDL_GetCurrentVideoDriver
#define SDL_GetNumVideoDisplays IGNORE_THIS_VERSION_OF_SDL_GetNumVideoDisplays
#define SDL_GetDisplayName IGNORE_THIS_VERSION_OF_SDL_GetDisplayName
#define SDL_GetDisplayBounds IGNORE_THIS_VERSION_OF_SDL_GetDisplayBounds
#define SDL_GetDisplayDPI IGNORE_THIS_VERSION_OF_SDL_GetDisplayDPI
#define SDL_GetNumDisplayModes IGNORE_THIS_VERSION_OF_SDL_GetNumDisplayModes
#define SDL_GetDisplayMode IGNORE_THIS_VERSION_OF_SDL_GetDisplayMode
#define SDL_GetDesktopDisplayMode IGNORE_THIS_VERSION_OF_SDL_GetDesktopDisplayMode
#define SDL_GetCurrentDisplayMode IGNORE_THIS_VERSION_OF_SDL_GetCurrentDisplayMode
#define SDL_GetClosestDisplayMode IGNORE_THIS_VERSION_OF_SDL_GetClosestDisplayMode
#define SDL_GetWindowDisplayIndex IGNORE_THIS_VERSION_OF_SDL_GetWindowDisplayIndex
#define SDL_SetWindowDisplayMode IGNORE_THIS_VERSION_OF_SDL_SetWindowDisplayMode
#define SDL_GetWindowDisplayMode IGNORE_THIS_VERSION_OF_SDL_GetWindowDisplayMode
#define SDL_GetWindowPixelFormat IGNORE_THIS_VERSION_OF_SDL_GetWindowPixelFormat
#define SDL_CreateWindow IGNORE_THIS_VERSION_OF_SDL_CreateWindow
#define SDL_CreateWindowFrom IGNORE_THIS_VERSION_OF_SDL_CreateWindowFrom
#define SDL_GetWindowID IGNORE_THIS_VERSION_OF_SDL_GetWindowID
#define SDL_GetWindowFromID IGNORE_THIS_VERSION_OF_SDL_GetWindowFromID
#define SDL_GetWindowFlags IGNORE_THIS_VERSION_OF_SDL_GetWindowFlags
#define SDL_SetWindowTitle IGNORE_THIS_VERSION_OF_SDL_SetWindowTitle
#define SDL_GetWindowTitle IGNORE_THIS_VERSION_OF_SDL_GetWindowTitle
#define SDL_SetWindowIcon IGNORE_THIS_VERSION_OF_SDL_SetWindowIcon
#define SDL_SetWindowData IGNORE_THIS_VERSION_OF_SDL_SetWindowData
#define SDL_GetWindowData IGNORE_THIS_VERSION_OF_SDL_GetWindowData
#define SDL_SetWindowPosition IGNORE_THIS_VERSION_OF_SDL_SetWindowPosition
#define SDL_GetWindowPosition IGNORE_THIS_VERSION_OF_SDL_GetWindowPosition
#define SDL_SetWindowSize IGNORE_THIS_VERSION_OF_SDL_SetWindowSize
#define SDL_GetWindowSize IGNORE_THIS_VERSION_OF_SDL_GetWindowSize
#define SDL_SetWindowMinimumSize IGNORE_THIS_VERSION_OF_SDL_SetWindowMinimumSize
#define SDL_GetWindowMinimumSize IGNORE_THIS_VERSION_OF_SDL_GetWindowMinimumSize
#define SDL_SetWindowMaximumSize IGNORE_THIS_VERSION_OF_SDL_SetWindowMaximumSize
#define SDL_GetWindowMaximumSize IGNORE_THIS_VERSION_OF_SDL_GetWindowMaximumSize
#define SDL_SetWindowBordered IGNORE_THIS_VERSION_OF_SDL_SetWindowBordered
#define SDL_ShowWindow IGNORE_THIS_VERSION_OF_SDL_ShowWindow
#define SDL_HideWindow IGNORE_THIS_VERSION_OF_SDL_HideWindow
#define SDL_RaiseWindow IGNORE_THIS_VERSION_OF_SDL_RaiseWindow
#define SDL_MaximizeWindow IGNORE_THIS_VERSION_OF_SDL_MaximizeWindow
#define SDL_MinimizeWindow IGNORE_THIS_VERSION_OF_SDL_MinimizeWindow
#define SDL_RestoreWindow IGNORE_THIS_VERSION_OF_SDL_RestoreWindow
#define SDL_SetWindowFullscreen IGNORE_THIS_VERSION_OF_SDL_SetWindowFullscreen
#define SDL_GetWindowSurface IGNORE_THIS_VERSION_OF_SDL_GetWindowSurface
#define SDL_UpdateWindowSurface IGNORE_THIS_VERSION_OF_SDL_UpdateWindowSurface
#define SDL_UpdateWindowSurfaceRects IGNORE_THIS_VERSION_OF_SDL_UpdateWindowSurfaceRects
#define SDL_SetWindowGrab IGNORE_THIS_VERSION_OF_SDL_SetWindowGrab
#define SDL_GetWindowGrab IGNORE_THIS_VERSION_OF_SDL_GetWindowGrab
#define SDL_SetWindowBrightness IGNORE_THIS_VERSION_OF_SDL_SetWindowBrightness
#define SDL_GetWindowBrightness IGNORE_THIS_VERSION_OF_SDL_GetWindowBrightness
#define SDL_SetWindowGammaRamp IGNORE_THIS_VERSION_OF_SDL_SetWindowGammaRamp
#define SDL_GetWindowGammaRamp IGNORE_THIS_VERSION_OF_SDL_GetWindowGammaRamp
#define SDL_DestroyWindow IGNORE_THIS_VERSION_OF_SDL_DestroyWindow
#define SDL_IsScreenSaverEnabled IGNORE_THIS_VERSION_OF_SDL_IsScreenSaverEnabled
#define SDL_EnableScreenSaver IGNORE_THIS_VERSION_OF_SDL_EnableScreenSaver
#define SDL_DisableScreenSaver IGNORE_THIS_VERSION_OF_SDL_DisableScreenSaver
#define SDL_GL_LoadLibrary IGNORE_THIS_VERSION_OF_SDL_GL_LoadLibrary
#define SDL_GL_GetProcAddress IGNORE_THIS_VERSION_OF_SDL_GL_GetProcAddress
#define SDL_GL_UnloadLibrary IGNORE_THIS_VERSION_OF_SDL_GL_UnloadLibrary
#define SDL_GL_ExtensionSupported IGNORE_THIS_VERSION_OF_SDL_GL_ExtensionSupported
#define SDL_GL_SetAttribute IGNORE_THIS_VERSION_OF_SDL_GL_SetAttribute
#define SDL_GL_GetAttribute IGNORE_THIS_VERSION_OF_SDL_GL_GetAttribute
#define SDL_GL_CreateContext IGNORE_THIS_VERSION_OF_SDL_GL_CreateContext
#define SDL_GL_MakeCurrent IGNORE_THIS_VERSION_OF_SDL_GL_MakeCurrent
#define SDL_GL_GetCurrentWindow IGNORE_THIS_VERSION_OF_SDL_GL_GetCurrentWindow
#define SDL_GL_GetCurrentContext IGNORE_THIS_VERSION_OF_SDL_GL_GetCurrentContext
#define SDL_GL_GetDrawableSize IGNORE_THIS_VERSION_OF_SDL_GL_GetDrawableSize
#define SDL_GL_SetSwapInterval IGNORE_THIS_VERSION_OF_SDL_GL_SetSwapInterval
#define SDL_GL_GetSwapInterval IGNORE_THIS_VERSION_OF_SDL_GL_GetSwapInterval
#define SDL_GL_SwapWindow IGNORE_THIS_VERSION_OF_SDL_GL_SwapWindow
#define SDL_GL_DeleteContext IGNORE_THIS_VERSION_OF_SDL_GL_DeleteContext
#define SDL_vsscanf IGNORE_THIS_VERSION_OF_SDL_vsscanf
#define SDL_GameControllerAddMappingsFromRW IGNORE_THIS_VERSION_OF_SDL_GameControllerAddMappingsFromRW
#define SDL_GL_ResetAttributes IGNORE_THIS_VERSION_OF_SDL_GL_ResetAttributes
#define SDL_HasAVX IGNORE_THIS_VERSION_OF_SDL_HasAVX
#define SDL_GetDefaultAssertionHandler IGNORE_THIS_VERSION_OF_SDL_GetDefaultAssertionHandler
#define SDL_GetAssertionHandler IGNORE_THIS_VERSION_OF_SDL_GetAssertionHandler
#define SDL_DXGIGetOutputInfo IGNORE_THIS_VERSION_OF_SDL_DXGIGetOutputInfo
#define SDL_RenderIsClipEnabled IGNORE_THIS_VERSION_OF_SDL_RenderIsClipEnabled
#define SDL_WinRTRunApp IGNORE_THIS_VERSION_OF_SDL_WinRTRunApp
#define SDL_WarpMouseGlobal IGNORE_THIS_VERSION_OF_SDL_WarpMouseGlobal
#define SDL_WinRTGetFSPathUNICODE IGNORE_THIS_VERSION_OF_SDL_WinRTGetFSPathUNICODE
#define SDL_WinRTGetFSPathUTF8 IGNORE_THIS_VERSION_OF_SDL_WinRTGetFSPathUTF8
#define SDL_sqrtf IGNORE_THIS_VERSION_OF_SDL_sqrtf
#define SDL_tan IGNORE_THIS_VERSION_OF_SDL_tan
#define SDL_tanf IGNORE_THIS_VERSION_OF_SDL_tanf
#define SDL_CaptureMouse IGNORE_THIS_VERSION_OF_SDL_CaptureMouse
#define SDL_SetWindowHitTest IGNORE_THIS_VERSION_OF_SDL_SetWindowHitTest
#define SDL_GetGlobalMouseState IGNORE_THIS_VERSION_OF_SDL_GetGlobalMouseState
#define SDL_HasAVX2 IGNORE_THIS_VERSION_OF_SDL_HasAVX2
#define SDL_QueueAudio IGNORE_THIS_VERSION_OF_SDL_QueueAudio
#define SDL_GetQueuedAudioSize IGNORE_THIS_VERSION_OF_SDL_GetQueuedAudioSize
#define SDL_ClearQueuedAudio IGNORE_THIS_VERSION_OF_SDL_ClearQueuedAudio
#define SDL_GetGrabbedWindow IGNORE_THIS_VERSION_OF_SDL_GetGrabbedWindow
#define SDL_SetWindowsMessageHook IGNORE_THIS_VERSION_OF_SDL_SetWindowsMessageHook
#define SDL_JoystickCurrentPowerLevel IGNORE_THIS_VERSION_OF_SDL_JoystickCurrentPowerLevel
#define SDL_GameControllerFromInstanceID IGNORE_THIS_VERSION_OF_SDL_GameControllerFromInstanceID
#define SDL_JoystickFromInstanceID IGNORE_THIS_VERSION_OF_SDL_JoystickFromInstanceID
#define SDL_GetDisplayUsableBounds IGNORE_THIS_VERSION_OF_SDL_GetDisplayUsableBounds
#define SDL_GetWindowBordersSize IGNORE_THIS_VERSION_OF_SDL_GetWindowBordersSize
#define SDL_SetWindowOpacity IGNORE_THIS_VERSION_OF_SDL_SetWindowOpacity
#define SDL_GetWindowOpacity IGNORE_THIS_VERSION_OF_SDL_GetWindowOpacity
#define SDL_SetWindowInputFocus IGNORE_THIS_VERSION_OF_SDL_SetWindowInputFocus
#define SDL_SetWindowModalFor IGNORE_THIS_VERSION_OF_SDL_SetWindowModalFor
#define SDL_RenderSetIntegerScale IGNORE_THIS_VERSION_OF_SDL_RenderSetIntegerScale
#define SDL_RenderGetIntegerScale IGNORE_THIS_VERSION_OF_SDL_RenderGetIntegerScale
#define SDL_DequeueAudio IGNORE_THIS_VERSION_OF_SDL_DequeueAudio
#define SDL_SetWindowResizable IGNORE_THIS_VERSION_OF_SDL_SetWindowResizable
#define SDL_CreateRGBSurfaceWithFormat IGNORE_THIS_VERSION_OF_SDL_CreateRGBSurfaceWithFormat
#define SDL_CreateRGBSurfaceWithFormatFrom IGNORE_THIS_VERSION_OF_SDL_CreateRGBSurfaceWithFormatFrom
#define SDL_GetHintBoolean IGNORE_THIS_VERSION_OF_SDL_GetHintBoolean
#define SDL_JoystickGetDeviceVendor IGNORE_THIS_VERSION_OF_SDL_JoystickGetDeviceVendor
#define SDL_JoystickGetDeviceProduct IGNORE_THIS_VERSION_OF_SDL_JoystickGetDeviceProduct
#define SDL_JoystickGetDeviceProductVersion IGNORE_THIS_VERSION_OF_SDL_JoystickGetDeviceProductVersion
#define SDL_JoystickGetVendor IGNORE_THIS_VERSION_OF_SDL_JoystickGetVendor
#define SDL_JoystickGetProduct IGNORE_THIS_VERSION_OF_SDL_JoystickGetProduct
#define SDL_JoystickGetProductVersion IGNORE_THIS_VERSION_OF_SDL_JoystickGetProductVersion
#define SDL_GameControllerGetVendor IGNORE_THIS_VERSION_OF_SDL_GameControllerGetVendor
#define SDL_GameControllerGetProduct IGNORE_THIS_VERSION_OF_SDL_GameControllerGetProduct
#define SDL_GameControllerGetProductVersion IGNORE_THIS_VERSION_OF_SDL_GameControllerGetProductVersion
#define SDL_HasNEON IGNORE_THIS_VERSION_OF_SDL_HasNEON
#define SDL_GameControllerNumMappings IGNORE_THIS_VERSION_OF_SDL_GameControllerNumMappings
#define SDL_GameControllerMappingForIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerMappingForIndex
#define SDL_JoystickGetAxisInitialState IGNORE_THIS_VERSION_OF_SDL_JoystickGetAxisInitialState
#define SDL_JoystickGetDeviceType IGNORE_THIS_VERSION_OF_SDL_JoystickGetDeviceType
#define SDL_JoystickGetType IGNORE_THIS_VERSION_OF_SDL_JoystickGetType
#define SDL_MemoryBarrierReleaseFunction IGNORE_THIS_VERSION_OF_SDL_MemoryBarrierReleaseFunction
#define SDL_MemoryBarrierAcquireFunction IGNORE_THIS_VERSION_OF_SDL_MemoryBarrierAcquireFunction
#define SDL_JoystickGetDeviceInstanceID IGNORE_THIS_VERSION_OF_SDL_JoystickGetDeviceInstanceID
#define SDL_utf8strlen IGNORE_THIS_VERSION_OF_SDL_utf8strlen
#define SDL_LoadFile_RW IGNORE_THIS_VERSION_OF_SDL_LoadFile_RW
#define SDL_wcscmp IGNORE_THIS_VERSION_OF_SDL_wcscmp
#define SDL_ComposeCustomBlendMode IGNORE_THIS_VERSION_OF_SDL_ComposeCustomBlendMode
#define SDL_DuplicateSurface IGNORE_THIS_VERSION_OF_SDL_DuplicateSurface
#define SDL_Vulkan_LoadLibrary IGNORE_THIS_VERSION_OF_SDL_Vulkan_LoadLibrary
#define SDL_Vulkan_GetVkGetInstanceProcAddr IGNORE_THIS_VERSION_OF_SDL_Vulkan_GetVkGetInstanceProcAddr
#define SDL_Vulkan_UnloadLibrary IGNORE_THIS_VERSION_OF_SDL_Vulkan_UnloadLibrary
#define SDL_Vulkan_GetInstanceExtensions IGNORE_THIS_VERSION_OF_SDL_Vulkan_GetInstanceExtensions
#define SDL_Vulkan_CreateSurface IGNORE_THIS_VERSION_OF_SDL_Vulkan_CreateSurface
#define SDL_Vulkan_GetDrawableSize IGNORE_THIS_VERSION_OF_SDL_Vulkan_GetDrawableSize
#define SDL_LockJoysticks IGNORE_THIS_VERSION_OF_SDL_LockJoysticks
#define SDL_UnlockJoysticks IGNORE_THIS_VERSION_OF_SDL_UnlockJoysticks
#define SDL_GetMemoryFunctions IGNORE_THIS_VERSION_OF_SDL_GetMemoryFunctions
#define SDL_SetMemoryFunctions IGNORE_THIS_VERSION_OF_SDL_SetMemoryFunctions
#define SDL_GetNumAllocations IGNORE_THIS_VERSION_OF_SDL_GetNumAllocations
#define SDL_NewAudioStream IGNORE_THIS_VERSION_OF_SDL_NewAudioStream
#define SDL_AudioStreamPut IGNORE_THIS_VERSION_OF_SDL_AudioStreamPut
#define SDL_AudioStreamGet IGNORE_THIS_VERSION_OF_SDL_AudioStreamGet
#define SDL_AudioStreamClear IGNORE_THIS_VERSION_OF_SDL_AudioStreamClear
#define SDL_AudioStreamAvailable IGNORE_THIS_VERSION_OF_SDL_AudioStreamAvailable
#define SDL_FreeAudioStream IGNORE_THIS_VERSION_OF_SDL_FreeAudioStream
#define SDL_AudioStreamFlush IGNORE_THIS_VERSION_OF_SDL_AudioStreamFlush
#define SDL_acosf IGNORE_THIS_VERSION_OF_SDL_acosf
#define SDL_asinf IGNORE_THIS_VERSION_OF_SDL_asinf
#define SDL_atanf IGNORE_THIS_VERSION_OF_SDL_atanf
#define SDL_atan2f IGNORE_THIS_VERSION_OF_SDL_atan2f
#define SDL_ceilf IGNORE_THIS_VERSION_OF_SDL_ceilf
#define SDL_copysignf IGNORE_THIS_VERSION_OF_SDL_copysignf
#define SDL_fabsf IGNORE_THIS_VERSION_OF_SDL_fabsf
#define SDL_floorf IGNORE_THIS_VERSION_OF_SDL_floorf
#define SDL_logf IGNORE_THIS_VERSION_OF_SDL_logf
#define SDL_powf IGNORE_THIS_VERSION_OF_SDL_powf
#define SDL_scalbnf IGNORE_THIS_VERSION_OF_SDL_scalbnf
#define SDL_fmod IGNORE_THIS_VERSION_OF_SDL_fmod
#define SDL_fmodf IGNORE_THIS_VERSION_OF_SDL_fmodf
#define SDL_SetYUVConversionMode IGNORE_THIS_VERSION_OF_SDL_SetYUVConversionMode
#define SDL_GetYUVConversionMode IGNORE_THIS_VERSION_OF_SDL_GetYUVConversionMode
#define SDL_GetYUVConversionModeForResolution IGNORE_THIS_VERSION_OF_SDL_GetYUVConversionModeForResolution
#define SDL_RenderGetMetalLayer IGNORE_THIS_VERSION_OF_SDL_RenderGetMetalLayer
#define SDL_RenderGetMetalCommandEncoder IGNORE_THIS_VERSION_OF_SDL_RenderGetMetalCommandEncoder
#define SDL_IsAndroidTV IGNORE_THIS_VERSION_OF_SDL_IsAndroidTV
#define SDL_WinRTGetDeviceFamily IGNORE_THIS_VERSION_OF_SDL_WinRTGetDeviceFamily
#define SDL_log10 IGNORE_THIS_VERSION_OF_SDL_log10
#define SDL_log10f IGNORE_THIS_VERSION_OF_SDL_log10f
#define SDL_GameControllerMappingForDeviceIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerMappingForDeviceIndex
#define SDL_LinuxSetThreadPriority IGNORE_THIS_VERSION_OF_SDL_LinuxSetThreadPriority
#define SDL_HasAVX512F IGNORE_THIS_VERSION_OF_SDL_HasAVX512F
#define SDL_IsChromebook IGNORE_THIS_VERSION_OF_SDL_IsChromebook
#define SDL_IsDeXMode IGNORE_THIS_VERSION_OF_SDL_IsDeXMode
#define SDL_AndroidBackButton IGNORE_THIS_VERSION_OF_SDL_AndroidBackButton
#define SDL_exp IGNORE_THIS_VERSION_OF_SDL_exp
#define SDL_expf IGNORE_THIS_VERSION_OF_SDL_expf
#define SDL_wcsdup IGNORE_THIS_VERSION_OF_SDL_wcsdup
#define SDL_GameControllerRumble IGNORE_THIS_VERSION_OF_SDL_GameControllerRumble
#define SDL_JoystickRumble IGNORE_THIS_VERSION_OF_SDL_JoystickRumble
#define SDL_NumSensors IGNORE_THIS_VERSION_OF_SDL_NumSensors
#define SDL_SensorGetDeviceName IGNORE_THIS_VERSION_OF_SDL_SensorGetDeviceName
#define SDL_SensorGetDeviceType IGNORE_THIS_VERSION_OF_SDL_SensorGetDeviceType
#define SDL_SensorGetDeviceNonPortableType IGNORE_THIS_VERSION_OF_SDL_SensorGetDeviceNonPortableType
#define SDL_SensorGetDeviceInstanceID IGNORE_THIS_VERSION_OF_SDL_SensorGetDeviceInstanceID
#define SDL_SensorOpen IGNORE_THIS_VERSION_OF_SDL_SensorOpen
#define SDL_SensorFromInstanceID IGNORE_THIS_VERSION_OF_SDL_SensorFromInstanceID
#define SDL_SensorGetName IGNORE_THIS_VERSION_OF_SDL_SensorGetName
#define SDL_SensorGetType IGNORE_THIS_VERSION_OF_SDL_SensorGetType
#define SDL_SensorGetNonPortableType IGNORE_THIS_VERSION_OF_SDL_SensorGetNonPortableType
#define SDL_SensorGetInstanceID IGNORE_THIS_VERSION_OF_SDL_SensorGetInstanceID
#define SDL_SensorGetData IGNORE_THIS_VERSION_OF_SDL_SensorGetData
#define SDL_SensorClose IGNORE_THIS_VERSION_OF_SDL_SensorClose
#define SDL_SensorUpdate IGNORE_THIS_VERSION_OF_SDL_SensorUpdate
#define SDL_IsTablet IGNORE_THIS_VERSION_OF_SDL_IsTablet
#define SDL_GetDisplayOrientation IGNORE_THIS_VERSION_OF_SDL_GetDisplayOrientation
#define SDL_HasColorKey IGNORE_THIS_VERSION_OF_SDL_HasColorKey
#define SDL_CreateThreadWithStackSize IGNORE_THIS_VERSION_OF_SDL_CreateThreadWithStackSize
#define SDL_JoystickGetDevicePlayerIndex IGNORE_THIS_VERSION_OF_SDL_JoystickGetDevicePlayerIndex
#define SDL_JoystickGetPlayerIndex IGNORE_THIS_VERSION_OF_SDL_JoystickGetPlayerIndex
#define SDL_GameControllerGetPlayerIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerGetPlayerIndex
#define SDL_RenderFlush IGNORE_THIS_VERSION_OF_SDL_RenderFlush
#define SDL_RenderDrawPointF IGNORE_THIS_VERSION_OF_SDL_RenderDrawPointF
#define SDL_RenderDrawPointsF IGNORE_THIS_VERSION_OF_SDL_RenderDrawPointsF
#define SDL_RenderDrawLineF IGNORE_THIS_VERSION_OF_SDL_RenderDrawLineF
#define SDL_RenderDrawLinesF IGNORE_THIS_VERSION_OF_SDL_RenderDrawLinesF
#define SDL_RenderDrawRectF IGNORE_THIS_VERSION_OF_SDL_RenderDrawRectF
#define SDL_RenderDrawRectsF IGNORE_THIS_VERSION_OF_SDL_RenderDrawRectsF
#define SDL_RenderFillRectF IGNORE_THIS_VERSION_OF_SDL_RenderFillRectF
#define SDL_RenderFillRectsF IGNORE_THIS_VERSION_OF_SDL_RenderFillRectsF
#define SDL_RenderCopyF IGNORE_THIS_VERSION_OF_SDL_RenderCopyF
#define SDL_RenderCopyExF IGNORE_THIS_VERSION_OF_SDL_RenderCopyExF
#define SDL_GetTouchDeviceType IGNORE_THIS_VERSION_OF_SDL_GetTouchDeviceType
#define SDL_UIKitRunApp IGNORE_THIS_VERSION_OF_SDL_UIKitRunApp
#define SDL_SIMDGetAlignment IGNORE_THIS_VERSION_OF_SDL_SIMDGetAlignment
#define SDL_SIMDAlloc IGNORE_THIS_VERSION_OF_SDL_SIMDAlloc
#define SDL_SIMDFree IGNORE_THIS_VERSION_OF_SDL_SIMDFree
#define SDL_RWsize IGNORE_THIS_VERSION_OF_SDL_RWsize
#define SDL_RWseek IGNORE_THIS_VERSION_OF_SDL_RWseek
#define SDL_RWtell IGNORE_THIS_VERSION_OF_SDL_RWtell
#define SDL_RWread IGNORE_THIS_VERSION_OF_SDL_RWread
#define SDL_RWwrite IGNORE_THIS_VERSION_OF_SDL_RWwrite
#define SDL_RWclose IGNORE_THIS_VERSION_OF_SDL_RWclose
#define SDL_LoadFile IGNORE_THIS_VERSION_OF_SDL_LoadFile
#define SDL_Metal_CreateView IGNORE_THIS_VERSION_OF_SDL_Metal_CreateView
#define SDL_Metal_DestroyView IGNORE_THIS_VERSION_OF_SDL_Metal_DestroyView
#define SDL_LockTextureToSurface IGNORE_THIS_VERSION_OF_SDL_LockTextureToSurface
#define SDL_HasARMSIMD IGNORE_THIS_VERSION_OF_SDL_HasARMSIMD
#define SDL_strtokr IGNORE_THIS_VERSION_OF_SDL_strtokr
#define SDL_wcsstr IGNORE_THIS_VERSION_OF_SDL_wcsstr
#define SDL_wcsncmp IGNORE_THIS_VERSION_OF_SDL_wcsncmp
#define SDL_GameControllerTypeForIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerTypeForIndex
#define SDL_GameControllerGetType IGNORE_THIS_VERSION_OF_SDL_GameControllerGetType
#define SDL_GameControllerFromPlayerIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerFromPlayerIndex
#define SDL_GameControllerSetPlayerIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerSetPlayerIndex
#define SDL_JoystickFromPlayerIndex IGNORE_THIS_VERSION_OF_SDL_JoystickFromPlayerIndex
#define SDL_JoystickSetPlayerIndex IGNORE_THIS_VERSION_OF_SDL_JoystickSetPlayerIndex
#define SDL_SetTextureScaleMode IGNORE_THIS_VERSION_OF_SDL_SetTextureScaleMode
#define SDL_GetTextureScaleMode IGNORE_THIS_VERSION_OF_SDL_GetTextureScaleMode
#define SDL_OnApplicationWillTerminate IGNORE_THIS_VERSION_OF_SDL_OnApplicationWillTerminate
#define SDL_OnApplicationDidReceiveMemoryWarning IGNORE_THIS_VERSION_OF_SDL_OnApplicationDidReceiveMemoryWarning
#define SDL_OnApplicationWillResignActive IGNORE_THIS_VERSION_OF_SDL_OnApplicationWillResignActive
#define SDL_OnApplicationDidEnterBackground IGNORE_THIS_VERSION_OF_SDL_OnApplicationDidEnterBackground
#define SDL_OnApplicationWillEnterForeground IGNORE_THIS_VERSION_OF_SDL_OnApplicationWillEnterForeground
#define SDL_OnApplicationDidBecomeActive IGNORE_THIS_VERSION_OF_SDL_OnApplicationDidBecomeActive
#define SDL_OnApplicationDidChangeStatusBarOrientation IGNORE_THIS_VERSION_OF_SDL_OnApplicationDidChangeStatusBarOrientation
#define SDL_GetAndroidSDKVersion IGNORE_THIS_VERSION_OF_SDL_GetAndroidSDKVersion
#define SDL_isupper IGNORE_THIS_VERSION_OF_SDL_isupper
#define SDL_islower IGNORE_THIS_VERSION_OF_SDL_islower
#define SDL_JoystickAttachVirtual IGNORE_THIS_VERSION_OF_SDL_JoystickAttachVirtual
#define SDL_JoystickDetachVirtual IGNORE_THIS_VERSION_OF_SDL_JoystickDetachVirtual
#define SDL_JoystickIsVirtual IGNORE_THIS_VERSION_OF_SDL_JoystickIsVirtual
#define SDL_JoystickSetVirtualAxis IGNORE_THIS_VERSION_OF_SDL_JoystickSetVirtualAxis
#define SDL_JoystickSetVirtualButton IGNORE_THIS_VERSION_OF_SDL_JoystickSetVirtualButton
#define SDL_JoystickSetVirtualHat IGNORE_THIS_VERSION_OF_SDL_JoystickSetVirtualHat
#define SDL_GetErrorMsg IGNORE_THIS_VERSION_OF_SDL_GetErrorMsg
#define SDL_LockSensors IGNORE_THIS_VERSION_OF_SDL_LockSensors
#define SDL_UnlockSensors IGNORE_THIS_VERSION_OF_SDL_UnlockSensors
#define SDL_Metal_GetLayer IGNORE_THIS_VERSION_OF_SDL_Metal_GetLayer
#define SDL_Metal_GetDrawableSize IGNORE_THIS_VERSION_OF_SDL_Metal_GetDrawableSize
#define SDL_trunc IGNORE_THIS_VERSION_OF_SDL_trunc
#define SDL_truncf IGNORE_THIS_VERSION_OF_SDL_truncf
#define SDL_GetPreferredLocales IGNORE_THIS_VERSION_OF_SDL_GetPreferredLocales
#define SDL_SIMDRealloc IGNORE_THIS_VERSION_OF_SDL_SIMDRealloc
#define SDL_AndroidRequestPermission IGNORE_THIS_VERSION_OF_SDL_AndroidRequestPermission
#define SDL_OpenURL IGNORE_THIS_VERSION_OF_SDL_OpenURL
#define SDL_HasSurfaceRLE IGNORE_THIS_VERSION_OF_SDL_HasSurfaceRLE
#define SDL_GameControllerHasLED IGNORE_THIS_VERSION_OF_SDL_GameControllerHasLED
#define SDL_GameControllerSetLED IGNORE_THIS_VERSION_OF_SDL_GameControllerSetLED
#define SDL_JoystickHasLED IGNORE_THIS_VERSION_OF_SDL_JoystickHasLED
#define SDL_JoystickSetLED IGNORE_THIS_VERSION_OF_SDL_JoystickSetLED
#define SDL_GameControllerRumbleTriggers IGNORE_THIS_VERSION_OF_SDL_GameControllerRumbleTriggers
#define SDL_JoystickRumbleTriggers IGNORE_THIS_VERSION_OF_SDL_JoystickRumbleTriggers
#define SDL_GameControllerHasAxis IGNORE_THIS_VERSION_OF_SDL_GameControllerHasAxis
#define SDL_GameControllerHasButton IGNORE_THIS_VERSION_OF_SDL_GameControllerHasButton
#define SDL_GameControllerGetNumTouchpads IGNORE_THIS_VERSION_OF_SDL_GameControllerGetNumTouchpads
#define SDL_GameControllerGetNumTouchpadFingers IGNORE_THIS_VERSION_OF_SDL_GameControllerGetNumTouchpadFingers
#define SDL_GameControllerGetTouchpadFinger IGNORE_THIS_VERSION_OF_SDL_GameControllerGetTouchpadFinger
#define SDL_crc32 IGNORE_THIS_VERSION_OF_SDL_crc32
#define SDL_GameControllerGetSerial IGNORE_THIS_VERSION_OF_SDL_GameControllerGetSerial
#define SDL_JoystickGetSerial IGNORE_THIS_VERSION_OF_SDL_JoystickGetSerial
#define SDL_GameControllerHasSensor IGNORE_THIS_VERSION_OF_SDL_GameControllerHasSensor
#define SDL_GameControllerSetSensorEnabled IGNORE_THIS_VERSION_OF_SDL_GameControllerSetSensorEnabled
#define SDL_GameControllerIsSensorEnabled IGNORE_THIS_VERSION_OF_SDL_GameControllerIsSensorEnabled
#define SDL_GameControllerGetSensorData IGNORE_THIS_VERSION_OF_SDL_GameControllerGetSensorData
#define SDL_wcscasecmp IGNORE_THIS_VERSION_OF_SDL_wcscasecmp
#define SDL_wcsncasecmp IGNORE_THIS_VERSION_OF_SDL_wcsncasecmp
#define SDL_round IGNORE_THIS_VERSION_OF_SDL_round
#define SDL_roundf IGNORE_THIS_VERSION_OF_SDL_roundf
#define SDL_lround IGNORE_THIS_VERSION_OF_SDL_lround
#define SDL_lroundf IGNORE_THIS_VERSION_OF_SDL_lroundf
#define SDL_SoftStretchLinear IGNORE_THIS_VERSION_OF_SDL_SoftStretchLinear
#define SDL_RenderGetD3D11Device IGNORE_THIS_VERSION_OF_SDL_RenderGetD3D11Device
#define SDL_UpdateNVTexture IGNORE_THIS_VERSION_OF_SDL_UpdateNVTexture
#define SDL_SetWindowKeyboardGrab IGNORE_THIS_VERSION_OF_SDL_SetWindowKeyboardGrab
#define SDL_SetWindowMouseGrab IGNORE_THIS_VERSION_OF_SDL_SetWindowMouseGrab
#define SDL_GetWindowKeyboardGrab IGNORE_THIS_VERSION_OF_SDL_GetWindowKeyboardGrab
#define SDL_GetWindowMouseGrab IGNORE_THIS_VERSION_OF_SDL_GetWindowMouseGrab
#define SDL_isalpha IGNORE_THIS_VERSION_OF_SDL_isalpha
#define SDL_isalnum IGNORE_THIS_VERSION_OF_SDL_isalnum
#define SDL_isblank IGNORE_THIS_VERSION_OF_SDL_isblank
#define SDL_iscntrl IGNORE_THIS_VERSION_OF_SDL_iscntrl
#define SDL_isxdigit IGNORE_THIS_VERSION_OF_SDL_isxdigit
#define SDL_ispunct IGNORE_THIS_VERSION_OF_SDL_ispunct
#define SDL_isprint IGNORE_THIS_VERSION_OF_SDL_isprint
#define SDL_isgraph IGNORE_THIS_VERSION_OF_SDL_isgraph
#define SDL_AndroidShowToast IGNORE_THIS_VERSION_OF_SDL_AndroidShowToast
#define SDL_GetAudioDeviceSpec IGNORE_THIS_VERSION_OF_SDL_GetAudioDeviceSpec
#define SDL_TLSCleanup IGNORE_THIS_VERSION_OF_SDL_TLSCleanup
#define SDL_SetWindowAlwaysOnTop IGNORE_THIS_VERSION_OF_SDL_SetWindowAlwaysOnTop
#define SDL_FlashWindow IGNORE_THIS_VERSION_OF_SDL_FlashWindow
#define SDL_GameControllerSendEffect IGNORE_THIS_VERSION_OF_SDL_GameControllerSendEffect
#define SDL_JoystickSendEffect IGNORE_THIS_VERSION_OF_SDL_JoystickSendEffect
#define SDL_GameControllerGetSensorDataRate IGNORE_THIS_VERSION_OF_SDL_GameControllerGetSensorDataRate
#define SDL_SetTextureUserData IGNORE_THIS_VERSION_OF_SDL_SetTextureUserData
#define SDL_GetTextureUserData IGNORE_THIS_VERSION_OF_SDL_GetTextureUserData
#define SDL_RenderGeometry IGNORE_THIS_VERSION_OF_SDL_RenderGeometry
#define SDL_RenderGeometryRaw IGNORE_THIS_VERSION_OF_SDL_RenderGeometryRaw
#define SDL_RenderSetVSync IGNORE_THIS_VERSION_OF_SDL_RenderSetVSync
#define SDL_asprintf IGNORE_THIS_VERSION_OF_SDL_asprintf
#define SDL_vasprintf IGNORE_THIS_VERSION_OF_SDL_vasprintf
#define SDL_GetWindowICCProfile IGNORE_THIS_VERSION_OF_SDL_GetWindowICCProfile
#define SDL_GetTicks64 IGNORE_THIS_VERSION_OF_SDL_GetTicks64
#define SDL_LinuxSetThreadPriorityAndPolicy IGNORE_THIS_VERSION_OF_SDL_LinuxSetThreadPriorityAndPolicy
#define SDL_GameControllerGetAppleSFSymbolsNameForButton IGNORE_THIS_VERSION_OF_SDL_GameControllerGetAppleSFSymbolsNameForButton
#define SDL_GameControllerGetAppleSFSymbolsNameForAxis IGNORE_THIS_VERSION_OF_SDL_GameControllerGetAppleSFSymbolsNameForAxis
#define SDL_hid_init IGNORE_THIS_VERSION_OF_SDL_hid_init
#define SDL_hid_exit IGNORE_THIS_VERSION_OF_SDL_hid_exit
#define SDL_hid_device_change_count IGNORE_THIS_VERSION_OF_SDL_hid_device_change_count
#define SDL_hid_enumerate IGNORE_THIS_VERSION_OF_SDL_hid_enumerate
#define SDL_hid_free_enumeration IGNORE_THIS_VERSION_OF_SDL_hid_free_enumeration
#define SDL_hid_open IGNORE_THIS_VERSION_OF_SDL_hid_open
#define SDL_hid_open_path IGNORE_THIS_VERSION_OF_SDL_hid_open_path
#define SDL_hid_write IGNORE_THIS_VERSION_OF_SDL_hid_write
#define SDL_hid_read_timeout IGNORE_THIS_VERSION_OF_SDL_hid_read_timeout
#define SDL_hid_read IGNORE_THIS_VERSION_OF_SDL_hid_read
#define SDL_hid_set_nonblocking IGNORE_THIS_VERSION_OF_SDL_hid_set_nonblocking
#define SDL_hid_send_feature_report IGNORE_THIS_VERSION_OF_SDL_hid_send_feature_report
#define SDL_hid_get_feature_report IGNORE_THIS_VERSION_OF_SDL_hid_get_feature_report
#define SDL_hid_close IGNORE_THIS_VERSION_OF_SDL_hid_close
#define SDL_hid_get_manufacturer_string IGNORE_THIS_VERSION_OF_SDL_hid_get_manufacturer_string
#define SDL_hid_get_product_string IGNORE_THIS_VERSION_OF_SDL_hid_get_product_string
#define SDL_hid_get_serial_number_string IGNORE_THIS_VERSION_OF_SDL_hid_get_serial_number_string
#define SDL_hid_get_indexed_string IGNORE_THIS_VERSION_OF_SDL_hid_get_indexed_string
#define SDL_SetWindowMouseRect IGNORE_THIS_VERSION_OF_SDL_SetWindowMouseRect
#define SDL_GetWindowMouseRect IGNORE_THIS_VERSION_OF_SDL_GetWindowMouseRect
#define SDL_RenderWindowToLogical IGNORE_THIS_VERSION_OF_SDL_RenderWindowToLogical
#define SDL_RenderLogicalToWindow IGNORE_THIS_VERSION_OF_SDL_RenderLogicalToWindow
#define SDL_JoystickHasRumble IGNORE_THIS_VERSION_OF_SDL_JoystickHasRumble
#define SDL_JoystickHasRumbleTriggers IGNORE_THIS_VERSION_OF_SDL_JoystickHasRumbleTriggers
#define SDL_GameControllerHasRumble IGNORE_THIS_VERSION_OF_SDL_GameControllerHasRumble
#define SDL_GameControllerHasRumbleTriggers IGNORE_THIS_VERSION_OF_SDL_GameControllerHasRumbleTriggers
#define SDL_hid_ble_scan IGNORE_THIS_VERSION_OF_SDL_hid_ble_scan
#define SDL_PremultiplyAlpha IGNORE_THIS_VERSION_OF_SDL_PremultiplyAlpha
#define SDL_AndroidSendMessage IGNORE_THIS_VERSION_OF_SDL_AndroidSendMessage
#define SDL_GetTouchName IGNORE_THIS_VERSION_OF_SDL_GetTouchName
#define SDL_ClearComposition IGNORE_THIS_VERSION_OF_SDL_ClearComposition
#define SDL_IsTextInputShown IGNORE_THIS_VERSION_OF_SDL_IsTextInputShown
#define SDL_HasIntersectionF IGNORE_THIS_VERSION_OF_SDL_HasIntersectionF
#define SDL_IntersectFRect IGNORE_THIS_VERSION_OF_SDL_IntersectFRect
#define SDL_UnionFRect IGNORE_THIS_VERSION_OF_SDL_UnionFRect
#define SDL_EncloseFPoints IGNORE_THIS_VERSION_OF_SDL_EncloseFPoints
#define SDL_IntersectFRectAndLine IGNORE_THIS_VERSION_OF_SDL_IntersectFRectAndLine
#define SDL_RenderGetWindow IGNORE_THIS_VERSION_OF_SDL_RenderGetWindow
#define SDL_bsearch IGNORE_THIS_VERSION_OF_SDL_bsearch
#define SDL_GameControllerPathForIndex IGNORE_THIS_VERSION_OF_SDL_GameControllerPathForIndex
#define SDL_GameControllerPath IGNORE_THIS_VERSION_OF_SDL_GameControllerPath
#define SDL_JoystickPathForIndex IGNORE_THIS_VERSION_OF_SDL_JoystickPathForIndex
#define SDL_JoystickPath IGNORE_THIS_VERSION_OF_SDL_JoystickPath
#define SDL_JoystickAttachVirtualEx IGNORE_THIS_VERSION_OF_SDL_JoystickAttachVirtualEx
#define SDL_GameControllerGetFirmwareVersion IGNORE_THIS_VERSION_OF_SDL_GameControllerGetFirmwareVersion
#define SDL_JoystickGetFirmwareVersion IGNORE_THIS_VERSION_OF_SDL_JoystickGetFirmwareVersion
#define SDL_GUIDToString IGNORE_THIS_VERSION_OF_SDL_GUIDToString
#define SDL_GUIDFromString IGNORE_THIS_VERSION_OF_SDL_GUIDFromString
#define SDL_HasLSX IGNORE_THIS_VERSION_OF_SDL_HasLSX
#define SDL_HasLASX IGNORE_THIS_VERSION_OF_SDL_HasLASX
#define SDL_RenderGetD3D12Device IGNORE_THIS_VERSION_OF_SDL_RenderGetD3D12Device
#define SDL_utf8strnlen IGNORE_THIS_VERSION_OF_SDL_utf8strnlen
#define SDL_GDKGetTaskQueue IGNORE_THIS_VERSION_OF_SDL_GDKGetTaskQueue
#define SDL_GDKRunApp IGNORE_THIS_VERSION_OF_SDL_GDKRunApp
#define SDL_GetOriginalMemoryFunctions IGNORE_THIS_VERSION_OF_SDL_GetOriginalMemoryFunctions
#define SDL_ResetKeyboard IGNORE_THIS_VERSION_OF_SDL_ResetKeyboard
#define SDL_GetDefaultAudioInfo IGNORE_THIS_VERSION_OF_SDL_GetDefaultAudioInfo
#define SDL_GetPointDisplayIndex IGNORE_THIS_VERSION_OF_SDL_GetPointDisplayIndex
#define SDL_GetRectDisplayIndex IGNORE_THIS_VERSION_OF_SDL_GetRectDisplayIndex
#define SDL_ResetHint IGNORE_THIS_VERSION_OF_SDL_ResetHint
#define SDL_crc16 IGNORE_THIS_VERSION_OF_SDL_crc16
#define SDL_GetWindowSizeInPixels IGNORE_THIS_VERSION_OF_SDL_GetWindowSizeInPixels
#define SDL_GetJoystickGUIDInfo IGNORE_THIS_VERSION_OF_SDL_GetJoystickGUIDInfo
#define SDL_SetPrimarySelectionText IGNORE_THIS_VERSION_OF_SDL_SetPrimarySelectionText
#define SDL_GetPrimarySelectionText IGNORE_THIS_VERSION_OF_SDL_GetPrimarySelectionText
#define SDL_HasPrimarySelectionText IGNORE_THIS_VERSION_OF_SDL_HasPrimarySelectionText
#define SDL_GameControllerGetSensorDataWithTimestamp IGNORE_THIS_VERSION_OF_SDL_GameControllerGetSensorDataWithTimestamp
#define SDL_SensorGetDataWithTimestamp IGNORE_THIS_VERSION_OF_SDL_SensorGetDataWithTimestamp
#define SDL_ResetHints IGNORE_THIS_VERSION_OF_SDL_ResetHints
#define SDL_strcasestr IGNORE_THIS_VERSION_OF_SDL_strcasestr
#define SDL_GDKSuspendComplete IGNORE_THIS_VERSION_OF_SDL_GDKSuspendComplete

/* *** HACK HACK HACK:
 * *** Avoid including SDL_thread.h: it defines SDL_CreateThread() as a macro */
#if defined(_WIN32) || defined(__OS2__)
#define _SDL_thread_h
#define SDL_thread_h_
#define SDL_PASSED_BEGINTHREAD_ENDTHREAD
#endif
#ifdef __OS2__
#define INCL_DOSMODULEMGR /* for Dos_LoadModule() & co. */
#define INCL_DOSPROCESS
#endif

#define __BUILDING_SDL12_COMPAT__ 1
#include "SDL.h"
#include "SDL_syswm.h"  /* includes windows.h or os2.h */

/* Headers from SDL2 >= 2.0.7 needed for SDL_AudioStream. */
#if !SDL_VERSION_ATLEAST(2,0,7)
#error You need to compile against SDL >= 2.0.7 headers.
#endif

/* Missing SDL_thread.h stuff (see above) */
#if defined(_WIN32) || defined(__OS2__)
typedef struct SDL_Thread SDL_Thread;
typedef int (SDLCALL *SDL_ThreadFunction) (void*);
#endif
#ifdef __OS2__
typedef int (*pfnSDL_CurrentBeginThread) (void (*func)(void*), void*, unsigned, void*);
typedef void (*pfnSDL_CurrentEndThread) (void);
#endif
#ifdef _WIN32
typedef UINT_PTR (__cdecl *pfnSDL_CurrentBeginThread)
                   (void*, unsigned, unsigned (__stdcall *func)(void*), void*, unsigned, unsigned*);
typedef void (__cdecl *pfnSDL_CurrentEndThread) (unsigned);
/* the following macros from Win32 SDK headers are harmful here. */
#undef CreateWindow
#undef CreateThread
#undef CreateSemaphore
#undef CreateMutex
#endif /* _WIN32 */

#ifdef SDL_BlitSurface
#undef SDL_BlitSurface
#endif

#ifdef SDL_mutexP
#undef SDL_mutexP
#endif

#ifdef SDL_mutexV
#undef SDL_mutexV
#endif

#ifdef SDL_SetError
#undef SDL_SetError
#endif

#ifdef SDL_Log
#undef SDL_Log
#endif

#ifdef SDL_LogVerbose
#undef SDL_LogVerbose
#endif

#ifdef SDL_LogDebug
#undef SDL_LogDebug
#endif

#ifdef SDL_LogInfo
#undef SDL_LogInfo
#endif

#ifdef SDL_LogWarn
#undef SDL_LogWarn
#endif

#ifdef SDL_LogError
#undef SDL_LogError
#endif

#ifdef SDL_LogCritical
#undef SDL_LogCritical
#endif

#ifdef SDL_LogMessage
#undef SDL_LogMessage
#endif

#ifdef SDL_sscanf
#undef SDL_sscanf
#endif

#ifdef SDL_snprintf
#undef SDL_snprintf
#endif

#ifdef SDL_CreateThread
#undef SDL_CreateThread
#endif

#ifdef SDL_RWFromFP
#undef SDL_RWFromFP
#endif

#ifdef SDL_RegisterApp
#undef SDL_RegisterApp
#endif

#ifdef SDL_UnregisterApp
#undef SDL_UnregisterApp
#endif

#ifdef SDL_Direct3D9GetAdapterIndex
#undef SDL_Direct3D9GetAdapterIndex
#endif

#ifdef SDL_RenderGetD3D9Device
#undef SDL_RenderGetD3D9Device
#endif

#ifdef SDL_iPhoneSetAnimationCallback
#undef SDL_iPhoneSetAnimationCallback
#endif

#ifdef SDL_iPhoneSetEventPump
#undef SDL_iPhoneSetEventPump
#endif

#ifdef SDL_AndroidGetJNIEnv
#undef SDL_AndroidGetJNIEnv
#endif

#ifdef SDL_AndroidGetActivity
#undef SDL_AndroidGetActivity
#endif

#ifdef SDL_AndroidGetInternalStoragePath
#undef SDL_AndroidGetInternalStoragePath
#endif

#ifdef SDL_AndroidGetExternalStorageState
#undef SDL_AndroidGetExternalStorageState
#endif

#ifdef SDL_AndroidGetExternalStoragePath
#undef SDL_AndroidGetExternalStoragePath
#endif

#ifdef SDL_Init
#undef SDL_Init
#endif

#ifdef SDL_InitSubSystem
#undef SDL_InitSubSystem
#endif

#ifdef SDL_QuitSubSystem
#undef SDL_QuitSubSystem
#endif

#ifdef SDL_WasInit
#undef SDL_WasInit
#endif

#ifdef SDL_Quit
#undef SDL_Quit
#endif

#ifdef SDL_ReportAssertion
#undef SDL_ReportAssertion
#endif

#ifdef SDL_SetAssertionHandler
#undef SDL_SetAssertionHandler
#endif

#ifdef SDL_GetAssertionReport
#undef SDL_GetAssertionReport
#endif

#ifdef SDL_ResetAssertionReport
#undef SDL_ResetAssertionReport
#endif

#ifdef SDL_AtomicTryLock
#undef SDL_AtomicTryLock
#endif

#ifdef SDL_AtomicLock
#undef SDL_AtomicLock
#endif

#ifdef SDL_AtomicUnlock
#undef SDL_AtomicUnlock
#endif

#ifdef SDL_AtomicCAS
#undef SDL_AtomicCAS
#endif

#ifdef SDL_AtomicSet
#undef SDL_AtomicSet
#endif

#ifdef SDL_AtomicGet
#undef SDL_AtomicGet
#endif

#ifdef SDL_AtomicAdd
#undef SDL_AtomicAdd
#endif

#ifdef SDL_AtomicCASPtr
#undef SDL_AtomicCASPtr
#endif

#ifdef SDL_AtomicSetPtr
#undef SDL_AtomicSetPtr
#endif

#ifdef SDL_AtomicGetPtr
#undef SDL_AtomicGetPtr
#endif

#ifdef SDL_GetNumAudioDrivers
#undef SDL_GetNumAudioDrivers
#endif

#ifdef SDL_GetAudioDriver
#undef SDL_GetAudioDriver
#endif

#ifdef SDL_AudioInit
#undef SDL_AudioInit
#endif

#ifdef SDL_AudioQuit
#undef SDL_AudioQuit
#endif

#ifdef SDL_GetCurrentAudioDriver
#undef SDL_GetCurrentAudioDriver
#endif

#ifdef SDL_OpenAudio
#undef SDL_OpenAudio
#endif

#ifdef SDL_GetNumAudioDevices
#undef SDL_GetNumAudioDevices
#endif

#ifdef SDL_GetAudioDeviceName
#undef SDL_GetAudioDeviceName
#endif

#ifdef SDL_OpenAudioDevice
#undef SDL_OpenAudioDevice
#endif

#ifdef SDL_GetAudioStatus
#undef SDL_GetAudioStatus
#endif

#ifdef SDL_GetAudioDeviceStatus
#undef SDL_GetAudioDeviceStatus
#endif

#ifdef SDL_PauseAudio
#undef SDL_PauseAudio
#endif

#ifdef SDL_PauseAudioDevice
#undef SDL_PauseAudioDevice
#endif

#ifdef SDL_LoadWAV_RW
#undef SDL_LoadWAV_RW
#endif

#ifdef SDL_FreeWAV
#undef SDL_FreeWAV
#endif

#ifdef SDL_BuildAudioCVT
#undef SDL_BuildAudioCVT
#endif

#ifdef SDL_ConvertAudio
#undef SDL_ConvertAudio
#endif

#ifdef SDL_MixAudio
#undef SDL_MixAudio
#endif

#ifdef SDL_MixAudioFormat
#undef SDL_MixAudioFormat
#endif

#ifdef SDL_LockAudio
#undef SDL_LockAudio
#endif

#ifdef SDL_LockAudioDevice
#undef SDL_LockAudioDevice
#endif

#ifdef SDL_UnlockAudio
#undef SDL_UnlockAudio
#endif

#ifdef SDL_UnlockAudioDevice
#undef SDL_UnlockAudioDevice
#endif

#ifdef SDL_CloseAudio
#undef SDL_CloseAudio
#endif

#ifdef SDL_CloseAudioDevice
#undef SDL_CloseAudioDevice
#endif

#ifdef SDL_SetClipboardText
#undef SDL_SetClipboardText
#endif

#ifdef SDL_GetClipboardText
#undef SDL_GetClipboardText
#endif

#ifdef SDL_HasClipboardText
#undef SDL_HasClipboardText
#endif

#ifdef SDL_GetCPUCount
#undef SDL_GetCPUCount
#endif

#ifdef SDL_GetCPUCacheLineSize
#undef SDL_GetCPUCacheLineSize
#endif

#ifdef SDL_HasRDTSC
#undef SDL_HasRDTSC
#endif

#ifdef SDL_HasAltiVec
#undef SDL_HasAltiVec
#endif

#ifdef SDL_HasMMX
#undef SDL_HasMMX
#endif

#ifdef SDL_Has3DNow
#undef SDL_Has3DNow
#endif

#ifdef SDL_HasSSE
#undef SDL_HasSSE
#endif

#ifdef SDL_HasSSE2
#undef SDL_HasSSE2
#endif

#ifdef SDL_HasSSE3
#undef SDL_HasSSE3
#endif

#ifdef SDL_HasSSE41
#undef SDL_HasSSE41
#endif

#ifdef SDL_HasSSE42
#undef SDL_HasSSE42
#endif

#ifdef SDL_GetSystemRAM
#undef SDL_GetSystemRAM
#endif

#ifdef SDL_GetError
#undef SDL_GetError
#endif

#ifdef SDL_ClearError
#undef SDL_ClearError
#endif

#ifdef SDL_Error
#undef SDL_Error
#endif

#ifdef SDL_PumpEvents
#undef SDL_PumpEvents
#endif

#ifdef SDL_PeepEvents
#undef SDL_PeepEvents
#endif

#ifdef SDL_HasEvent
#undef SDL_HasEvent
#endif

#ifdef SDL_HasEvents
#undef SDL_HasEvents
#endif

#ifdef SDL_FlushEvent
#undef SDL_FlushEvent
#endif

#ifdef SDL_FlushEvents
#undef SDL_FlushEvents
#endif

#ifdef SDL_PollEvent
#undef SDL_PollEvent
#endif

#ifdef SDL_WaitEvent
#undef SDL_WaitEvent
#endif

#ifdef SDL_WaitEventTimeout
#undef SDL_WaitEventTimeout
#endif

#ifdef SDL_PushEvent
#undef SDL_PushEvent
#endif

#ifdef SDL_SetEventFilter
#undef SDL_SetEventFilter
#endif

#ifdef SDL_GetEventFilter
#undef SDL_GetEventFilter
#endif

#ifdef SDL_AddEventWatch
#undef SDL_AddEventWatch
#endif

#ifdef SDL_DelEventWatch
#undef SDL_DelEventWatch
#endif

#ifdef SDL_FilterEvents
#undef SDL_FilterEvents
#endif

#ifdef SDL_EventState
#undef SDL_EventState
#endif

#ifdef SDL_RegisterEvents
#undef SDL_RegisterEvents
#endif

#ifdef SDL_GetBasePath
#undef SDL_GetBasePath
#endif

#ifdef SDL_GetPrefPath
#undef SDL_GetPrefPath
#endif

#ifdef SDL_GameControllerAddMapping
#undef SDL_GameControllerAddMapping
#endif

#ifdef SDL_GameControllerMappingForGUID
#undef SDL_GameControllerMappingForGUID
#endif

#ifdef SDL_GameControllerMapping
#undef SDL_GameControllerMapping
#endif

#ifdef SDL_IsGameController
#undef SDL_IsGameController
#endif

#ifdef SDL_GameControllerNameForIndex
#undef SDL_GameControllerNameForIndex
#endif

#ifdef SDL_GameControllerOpen
#undef SDL_GameControllerOpen
#endif

#ifdef SDL_GameControllerName
#undef SDL_GameControllerName
#endif

#ifdef SDL_GameControllerGetAttached
#undef SDL_GameControllerGetAttached
#endif

#ifdef SDL_GameControllerGetJoystick
#undef SDL_GameControllerGetJoystick
#endif

#ifdef SDL_GameControllerEventState
#undef SDL_GameControllerEventState
#endif

#ifdef SDL_GameControllerUpdate
#undef SDL_GameControllerUpdate
#endif

#ifdef SDL_GameControllerGetAxisFromString
#undef SDL_GameControllerGetAxisFromString
#endif

#ifdef SDL_GameControllerGetStringForAxis
#undef SDL_GameControllerGetStringForAxis
#endif

#ifdef SDL_GameControllerGetBindForAxis
#undef SDL_GameControllerGetBindForAxis
#endif

#ifdef SDL_GameControllerGetAxis
#undef SDL_GameControllerGetAxis
#endif

#ifdef SDL_GameControllerGetButtonFromString
#undef SDL_GameControllerGetButtonFromString
#endif

#ifdef SDL_GameControllerGetStringForButton
#undef SDL_GameControllerGetStringForButton
#endif

#ifdef SDL_GameControllerGetBindForButton
#undef SDL_GameControllerGetBindForButton
#endif

#ifdef SDL_GameControllerGetButton
#undef SDL_GameControllerGetButton
#endif

#ifdef SDL_GameControllerClose
#undef SDL_GameControllerClose
#endif

#ifdef SDL_RecordGesture
#undef SDL_RecordGesture
#endif

#ifdef SDL_SaveAllDollarTemplates
#undef SDL_SaveAllDollarTemplates
#endif

#ifdef SDL_SaveDollarTemplate
#undef SDL_SaveDollarTemplate
#endif

#ifdef SDL_LoadDollarTemplates
#undef SDL_LoadDollarTemplates
#endif

#ifdef SDL_NumHaptics
#undef SDL_NumHaptics
#endif

#ifdef SDL_HapticName
#undef SDL_HapticName
#endif

#ifdef SDL_HapticOpen
#undef SDL_HapticOpen
#endif

#ifdef SDL_HapticOpened
#undef SDL_HapticOpened
#endif

#ifdef SDL_HapticIndex
#undef SDL_HapticIndex
#endif

#ifdef SDL_MouseIsHaptic
#undef SDL_MouseIsHaptic
#endif

#ifdef SDL_HapticOpenFromMouse
#undef SDL_HapticOpenFromMouse
#endif

#ifdef SDL_JoystickIsHaptic
#undef SDL_JoystickIsHaptic
#endif

#ifdef SDL_HapticOpenFromJoystick
#undef SDL_HapticOpenFromJoystick
#endif

#ifdef SDL_HapticClose
#undef SDL_HapticClose
#endif

#ifdef SDL_HapticNumEffects
#undef SDL_HapticNumEffects
#endif

#ifdef SDL_HapticNumEffectsPlaying
#undef SDL_HapticNumEffectsPlaying
#endif

#ifdef SDL_HapticQuery
#undef SDL_HapticQuery
#endif

#ifdef SDL_HapticNumAxes
#undef SDL_HapticNumAxes
#endif

#ifdef SDL_HapticEffectSupported
#undef SDL_HapticEffectSupported
#endif

#ifdef SDL_HapticNewEffect
#undef SDL_HapticNewEffect
#endif

#ifdef SDL_HapticUpdateEffect
#undef SDL_HapticUpdateEffect
#endif

#ifdef SDL_HapticRunEffect
#undef SDL_HapticRunEffect
#endif

#ifdef SDL_HapticStopEffect
#undef SDL_HapticStopEffect
#endif

#ifdef SDL_HapticDestroyEffect
#undef SDL_HapticDestroyEffect
#endif

#ifdef SDL_HapticGetEffectStatus
#undef SDL_HapticGetEffectStatus
#endif

#ifdef SDL_HapticSetGain
#undef SDL_HapticSetGain
#endif

#ifdef SDL_HapticSetAutocenter
#undef SDL_HapticSetAutocenter
#endif

#ifdef SDL_HapticPause
#undef SDL_HapticPause
#endif

#ifdef SDL_HapticUnpause
#undef SDL_HapticUnpause
#endif

#ifdef SDL_HapticStopAll
#undef SDL_HapticStopAll
#endif

#ifdef SDL_HapticRumbleSupported
#undef SDL_HapticRumbleSupported
#endif

#ifdef SDL_HapticRumbleInit
#undef SDL_HapticRumbleInit
#endif

#ifdef SDL_HapticRumblePlay
#undef SDL_HapticRumblePlay
#endif

#ifdef SDL_HapticRumbleStop
#undef SDL_HapticRumbleStop
#endif

#ifdef SDL_SetHintWithPriority
#undef SDL_SetHintWithPriority
#endif

#ifdef SDL_SetHint
#undef SDL_SetHint
#endif

#ifdef SDL_GetHint
#undef SDL_GetHint
#endif

#ifdef SDL_AddHintCallback
#undef SDL_AddHintCallback
#endif

#ifdef SDL_DelHintCallback
#undef SDL_DelHintCallback
#endif

#ifdef SDL_ClearHints
#undef SDL_ClearHints
#endif

#ifdef SDL_NumJoysticks
#undef SDL_NumJoysticks
#endif

#ifdef SDL_JoystickNameForIndex
#undef SDL_JoystickNameForIndex
#endif

#ifdef SDL_JoystickOpen
#undef SDL_JoystickOpen
#endif

#ifdef SDL_JoystickName
#undef SDL_JoystickName
#endif

#ifdef SDL_JoystickGetDeviceGUID
#undef SDL_JoystickGetDeviceGUID
#endif

#ifdef SDL_JoystickGetGUID
#undef SDL_JoystickGetGUID
#endif

#ifdef SDL_JoystickGetGUIDString
#undef SDL_JoystickGetGUIDString
#endif

#ifdef SDL_JoystickGetGUIDFromString
#undef SDL_JoystickGetGUIDFromString
#endif

#ifdef SDL_JoystickGetAttached
#undef SDL_JoystickGetAttached
#endif

#ifdef SDL_JoystickInstanceID
#undef SDL_JoystickInstanceID
#endif

#ifdef SDL_JoystickNumAxes
#undef SDL_JoystickNumAxes
#endif

#ifdef SDL_JoystickNumBalls
#undef SDL_JoystickNumBalls
#endif

#ifdef SDL_JoystickNumHats
#undef SDL_JoystickNumHats
#endif

#ifdef SDL_JoystickNumButtons
#undef SDL_JoystickNumButtons
#endif

#ifdef SDL_JoystickUpdate
#undef SDL_JoystickUpdate
#endif

#ifdef SDL_JoystickEventState
#undef SDL_JoystickEventState
#endif

#ifdef SDL_JoystickGetAxis
#undef SDL_JoystickGetAxis
#endif

#ifdef SDL_JoystickGetHat
#undef SDL_JoystickGetHat
#endif

#ifdef SDL_JoystickGetBall
#undef SDL_JoystickGetBall
#endif

#ifdef SDL_JoystickGetButton
#undef SDL_JoystickGetButton
#endif

#ifdef SDL_JoystickClose
#undef SDL_JoystickClose
#endif

#ifdef SDL_GetKeyboardFocus
#undef SDL_GetKeyboardFocus
#endif

#ifdef SDL_GetKeyboardState
#undef SDL_GetKeyboardState
#endif

#ifdef SDL_GetModState
#undef SDL_GetModState
#endif

#ifdef SDL_SetModState
#undef SDL_SetModState
#endif

#ifdef SDL_GetKeyFromScancode
#undef SDL_GetKeyFromScancode
#endif

#ifdef SDL_GetScancodeFromKey
#undef SDL_GetScancodeFromKey
#endif

#ifdef SDL_GetScancodeName
#undef SDL_GetScancodeName
#endif

#ifdef SDL_GetScancodeFromName
#undef SDL_GetScancodeFromName
#endif

#ifdef SDL_GetKeyName
#undef SDL_GetKeyName
#endif

#ifdef SDL_GetKeyFromName
#undef SDL_GetKeyFromName
#endif

#ifdef SDL_StartTextInput
#undef SDL_StartTextInput
#endif

#ifdef SDL_IsTextInputActive
#undef SDL_IsTextInputActive
#endif

#ifdef SDL_StopTextInput
#undef SDL_StopTextInput
#endif

#ifdef SDL_SetTextInputRect
#undef SDL_SetTextInputRect
#endif

#ifdef SDL_HasScreenKeyboardSupport
#undef SDL_HasScreenKeyboardSupport
#endif

#ifdef SDL_IsScreenKeyboardShown
#undef SDL_IsScreenKeyboardShown
#endif

#ifdef SDL_LoadObject
#undef SDL_LoadObject
#endif

#ifdef SDL_LoadFunction
#undef SDL_LoadFunction
#endif

#ifdef SDL_UnloadObject
#undef SDL_UnloadObject
#endif

#ifdef SDL_LogSetAllPriority
#undef SDL_LogSetAllPriority
#endif

#ifdef SDL_LogSetPriority
#undef SDL_LogSetPriority
#endif

#ifdef SDL_LogGetPriority
#undef SDL_LogGetPriority
#endif

#ifdef SDL_LogResetPriorities
#undef SDL_LogResetPriorities
#endif

#ifdef SDL_LogMessageV
#undef SDL_LogMessageV
#endif

#ifdef SDL_LogGetOutputFunction
#undef SDL_LogGetOutputFunction
#endif

#ifdef SDL_LogSetOutputFunction
#undef SDL_LogSetOutputFunction
#endif

#ifdef SDL_SetMainReady
#undef SDL_SetMainReady
#endif

#ifdef SDL_ShowMessageBox
#undef SDL_ShowMessageBox
#endif

#ifdef SDL_ShowSimpleMessageBox
#undef SDL_ShowSimpleMessageBox
#endif

#ifdef SDL_GetMouseFocus
#undef SDL_GetMouseFocus
#endif

#ifdef SDL_GetMouseState
#undef SDL_GetMouseState
#endif

#ifdef SDL_GetRelativeMouseState
#undef SDL_GetRelativeMouseState
#endif

#ifdef SDL_WarpMouseInWindow
#undef SDL_WarpMouseInWindow
#endif

#ifdef SDL_SetRelativeMouseMode
#undef SDL_SetRelativeMouseMode
#endif

#ifdef SDL_GetRelativeMouseMode
#undef SDL_GetRelativeMouseMode
#endif

#ifdef SDL_CreateCursor
#undef SDL_CreateCursor
#endif

#ifdef SDL_CreateColorCursor
#undef SDL_CreateColorCursor
#endif

#ifdef SDL_CreateSystemCursor
#undef SDL_CreateSystemCursor
#endif

#ifdef SDL_SetCursor
#undef SDL_SetCursor
#endif

#ifdef SDL_GetCursor
#undef SDL_GetCursor
#endif

#ifdef SDL_GetDefaultCursor
#undef SDL_GetDefaultCursor
#endif

#ifdef SDL_FreeCursor
#undef SDL_FreeCursor
#endif

#ifdef SDL_ShowCursor
#undef SDL_ShowCursor
#endif

#ifdef SDL_CreateMutex
#undef SDL_CreateMutex
#endif

#ifdef SDL_LockMutex
#undef SDL_LockMutex
#endif

#ifdef SDL_TryLockMutex
#undef SDL_TryLockMutex
#endif

#ifdef SDL_UnlockMutex
#undef SDL_UnlockMutex
#endif

#ifdef SDL_DestroyMutex
#undef SDL_DestroyMutex
#endif

#ifdef SDL_CreateSemaphore
#undef SDL_CreateSemaphore
#endif

#ifdef SDL_DestroySemaphore
#undef SDL_DestroySemaphore
#endif

#ifdef SDL_SemWait
#undef SDL_SemWait
#endif

#ifdef SDL_SemTryWait
#undef SDL_SemTryWait
#endif

#ifdef SDL_SemWaitTimeout
#undef SDL_SemWaitTimeout
#endif

#ifdef SDL_SemPost
#undef SDL_SemPost
#endif

#ifdef SDL_SemValue
#undef SDL_SemValue
#endif

#ifdef SDL_CreateCond
#undef SDL_CreateCond
#endif

#ifdef SDL_DestroyCond
#undef SDL_DestroyCond
#endif

#ifdef SDL_CondSignal
#undef SDL_CondSignal
#endif

#ifdef SDL_CondBroadcast
#undef SDL_CondBroadcast
#endif

#ifdef SDL_CondWait
#undef SDL_CondWait
#endif

#ifdef SDL_CondWaitTimeout
#undef SDL_CondWaitTimeout
#endif

#ifdef SDL_GetPixelFormatName
#undef SDL_GetPixelFormatName
#endif

#ifdef SDL_PixelFormatEnumToMasks
#undef SDL_PixelFormatEnumToMasks
#endif

#ifdef SDL_MasksToPixelFormatEnum
#undef SDL_MasksToPixelFormatEnum
#endif

#ifdef SDL_AllocFormat
#undef SDL_AllocFormat
#endif

#ifdef SDL_FreeFormat
#undef SDL_FreeFormat
#endif

#ifdef SDL_AllocPalette
#undef SDL_AllocPalette
#endif

#ifdef SDL_SetPixelFormatPalette
#undef SDL_SetPixelFormatPalette
#endif

#ifdef SDL_SetPaletteColors
#undef SDL_SetPaletteColors
#endif

#ifdef SDL_FreePalette
#undef SDL_FreePalette
#endif

#ifdef SDL_MapRGB
#undef SDL_MapRGB
#endif

#ifdef SDL_MapRGBA
#undef SDL_MapRGBA
#endif

#ifdef SDL_GetRGB
#undef SDL_GetRGB
#endif

#ifdef SDL_GetRGBA
#undef SDL_GetRGBA
#endif

#ifdef SDL_CalculateGammaRamp
#undef SDL_CalculateGammaRamp
#endif

#ifdef SDL_GetPlatform
#undef SDL_GetPlatform
#endif

#ifdef SDL_GetPowerInfo
#undef SDL_GetPowerInfo
#endif

#ifdef SDL_HasIntersection
#undef SDL_HasIntersection
#endif

#ifdef SDL_IntersectRect
#undef SDL_IntersectRect
#endif

#ifdef SDL_UnionRect
#undef SDL_UnionRect
#endif

#ifdef SDL_EnclosePoints
#undef SDL_EnclosePoints
#endif

#ifdef SDL_IntersectRectAndLine
#undef SDL_IntersectRectAndLine
#endif

#ifdef SDL_GetNumRenderDrivers
#undef SDL_GetNumRenderDrivers
#endif

#ifdef SDL_GetRenderDriverInfo
#undef SDL_GetRenderDriverInfo
#endif

#ifdef SDL_CreateWindowAndRenderer
#undef SDL_CreateWindowAndRenderer
#endif

#ifdef SDL_CreateRenderer
#undef SDL_CreateRenderer
#endif

#ifdef SDL_CreateSoftwareRenderer
#undef SDL_CreateSoftwareRenderer
#endif

#ifdef SDL_GetRenderer
#undef SDL_GetRenderer
#endif

#ifdef SDL_GetRendererInfo
#undef SDL_GetRendererInfo
#endif

#ifdef SDL_GetRendererOutputSize
#undef SDL_GetRendererOutputSize
#endif

#ifdef SDL_CreateTexture
#undef SDL_CreateTexture
#endif

#ifdef SDL_CreateTextureFromSurface
#undef SDL_CreateTextureFromSurface
#endif

#ifdef SDL_QueryTexture
#undef SDL_QueryTexture
#endif

#ifdef SDL_SetTextureColorMod
#undef SDL_SetTextureColorMod
#endif

#ifdef SDL_GetTextureColorMod
#undef SDL_GetTextureColorMod
#endif

#ifdef SDL_SetTextureAlphaMod
#undef SDL_SetTextureAlphaMod
#endif

#ifdef SDL_GetTextureAlphaMod
#undef SDL_GetTextureAlphaMod
#endif

#ifdef SDL_SetTextureBlendMode
#undef SDL_SetTextureBlendMode
#endif

#ifdef SDL_GetTextureBlendMode
#undef SDL_GetTextureBlendMode
#endif

#ifdef SDL_UpdateTexture
#undef SDL_UpdateTexture
#endif

#ifdef SDL_UpdateYUVTexture
#undef SDL_UpdateYUVTexture
#endif

#ifdef SDL_LockTexture
#undef SDL_LockTexture
#endif

#ifdef SDL_UnlockTexture
#undef SDL_UnlockTexture
#endif

#ifdef SDL_RenderTargetSupported
#undef SDL_RenderTargetSupported
#endif

#ifdef SDL_SetRenderTarget
#undef SDL_SetRenderTarget
#endif

#ifdef SDL_GetRenderTarget
#undef SDL_GetRenderTarget
#endif

#ifdef SDL_RenderSetLogicalSize
#undef SDL_RenderSetLogicalSize
#endif

#ifdef SDL_RenderGetLogicalSize
#undef SDL_RenderGetLogicalSize
#endif

#ifdef SDL_RenderSetViewport
#undef SDL_RenderSetViewport
#endif

#ifdef SDL_RenderGetViewport
#undef SDL_RenderGetViewport
#endif

#ifdef SDL_RenderSetClipRect
#undef SDL_RenderSetClipRect
#endif

#ifdef SDL_RenderGetClipRect
#undef SDL_RenderGetClipRect
#endif

#ifdef SDL_RenderSetScale
#undef SDL_RenderSetScale
#endif

#ifdef SDL_RenderGetScale
#undef SDL_RenderGetScale
#endif

#ifdef SDL_SetRenderDrawColor
#undef SDL_SetRenderDrawColor
#endif

#ifdef SDL_GetRenderDrawColor
#undef SDL_GetRenderDrawColor
#endif

#ifdef SDL_SetRenderDrawBlendMode
#undef SDL_SetRenderDrawBlendMode
#endif

#ifdef SDL_GetRenderDrawBlendMode
#undef SDL_GetRenderDrawBlendMode
#endif

#ifdef SDL_RenderClear
#undef SDL_RenderClear
#endif

#ifdef SDL_RenderDrawPoint
#undef SDL_RenderDrawPoint
#endif

#ifdef SDL_RenderDrawPoints
#undef SDL_RenderDrawPoints
#endif

#ifdef SDL_RenderDrawLine
#undef SDL_RenderDrawLine
#endif

#ifdef SDL_RenderDrawLines
#undef SDL_RenderDrawLines
#endif

#ifdef SDL_RenderDrawRect
#undef SDL_RenderDrawRect
#endif

#ifdef SDL_RenderDrawRects
#undef SDL_RenderDrawRects
#endif

#ifdef SDL_RenderFillRect
#undef SDL_RenderFillRect
#endif

#ifdef SDL_RenderFillRects
#undef SDL_RenderFillRects
#endif

#ifdef SDL_RenderCopy
#undef SDL_RenderCopy
#endif

#ifdef SDL_RenderCopyEx
#undef SDL_RenderCopyEx
#endif

#ifdef SDL_RenderReadPixels
#undef SDL_RenderReadPixels
#endif

#ifdef SDL_RenderPresent
#undef SDL_RenderPresent
#endif

#ifdef SDL_DestroyTexture
#undef SDL_DestroyTexture
#endif

#ifdef SDL_DestroyRenderer
#undef SDL_DestroyRenderer
#endif

#ifdef SDL_GL_BindTexture
#undef SDL_GL_BindTexture
#endif

#ifdef SDL_GL_UnbindTexture
#undef SDL_GL_UnbindTexture
#endif

#ifdef SDL_RWFromFile
#undef SDL_RWFromFile
#endif

#ifdef SDL_RWFromMem
#undef SDL_RWFromMem
#endif

#ifdef SDL_RWFromConstMem
#undef SDL_RWFromConstMem
#endif

#ifdef SDL_AllocRW
#undef SDL_AllocRW
#endif

#ifdef SDL_FreeRW
#undef SDL_FreeRW
#endif

#ifdef SDL_ReadU8
#undef SDL_ReadU8
#endif

#ifdef SDL_ReadLE16
#undef SDL_ReadLE16
#endif

#ifdef SDL_ReadBE16
#undef SDL_ReadBE16
#endif

#ifdef SDL_ReadLE32
#undef SDL_ReadLE32
#endif

#ifdef SDL_ReadBE32
#undef SDL_ReadBE32
#endif

#ifdef SDL_ReadLE64
#undef SDL_ReadLE64
#endif

#ifdef SDL_ReadBE64
#undef SDL_ReadBE64
#endif

#ifdef SDL_WriteU8
#undef SDL_WriteU8
#endif

#ifdef SDL_WriteLE16
#undef SDL_WriteLE16
#endif

#ifdef SDL_WriteBE16
#undef SDL_WriteBE16
#endif

#ifdef SDL_WriteLE32
#undef SDL_WriteLE32
#endif

#ifdef SDL_WriteBE32
#undef SDL_WriteBE32
#endif

#ifdef SDL_WriteLE64
#undef SDL_WriteLE64
#endif

#ifdef SDL_WriteBE64
#undef SDL_WriteBE64
#endif

#ifdef SDL_CreateShapedWindow
#undef SDL_CreateShapedWindow
#endif

#ifdef SDL_IsShapedWindow
#undef SDL_IsShapedWindow
#endif

#ifdef SDL_SetWindowShape
#undef SDL_SetWindowShape
#endif

#ifdef SDL_GetShapedWindowMode
#undef SDL_GetShapedWindowMode
#endif

#ifdef SDL_malloc
#undef SDL_malloc
#endif

#ifdef SDL_calloc
#undef SDL_calloc
#endif

#ifdef SDL_realloc
#undef SDL_realloc
#endif

#ifdef SDL_free
#undef SDL_free
#endif

#ifdef SDL_getenv
#undef SDL_getenv
#endif

#ifdef SDL_setenv
#undef SDL_setenv
#endif

#ifdef SDL_qsort
#undef SDL_qsort
#endif

#ifdef SDL_abs
#undef SDL_abs
#endif

#ifdef SDL_isdigit
#undef SDL_isdigit
#endif

#ifdef SDL_isspace
#undef SDL_isspace
#endif

#ifdef SDL_toupper
#undef SDL_toupper
#endif

#ifdef SDL_tolower
#undef SDL_tolower
#endif

#ifdef SDL_memset
#undef SDL_memset
#endif

#ifdef SDL_memcpy
#undef SDL_memcpy
#endif

#ifdef SDL_memmove
#undef SDL_memmove
#endif

#ifdef SDL_memcmp
#undef SDL_memcmp
#endif

#ifdef SDL_wcslen
#undef SDL_wcslen
#endif

#ifdef SDL_wcslcpy
#undef SDL_wcslcpy
#endif

#ifdef SDL_wcslcat
#undef SDL_wcslcat
#endif

#ifdef SDL_strlen
#undef SDL_strlen
#endif

#ifdef SDL_strlcpy
#undef SDL_strlcpy
#endif

#ifdef SDL_utf8strlcpy
#undef SDL_utf8strlcpy
#endif

#ifdef SDL_strlcat
#undef SDL_strlcat
#endif

#ifdef SDL_strdup
#undef SDL_strdup
#endif

#ifdef SDL_strrev
#undef SDL_strrev
#endif

#ifdef SDL_strupr
#undef SDL_strupr
#endif

#ifdef SDL_strlwr
#undef SDL_strlwr
#endif

#ifdef SDL_strchr
#undef SDL_strchr
#endif

#ifdef SDL_strrchr
#undef SDL_strrchr
#endif

#ifdef SDL_strstr
#undef SDL_strstr
#endif

#ifdef SDL_itoa
#undef SDL_itoa
#endif

#ifdef SDL_uitoa
#undef SDL_uitoa
#endif

#ifdef SDL_ltoa
#undef SDL_ltoa
#endif

#ifdef SDL_ultoa
#undef SDL_ultoa
#endif

#ifdef SDL_lltoa
#undef SDL_lltoa
#endif

#ifdef SDL_ulltoa
#undef SDL_ulltoa
#endif

#ifdef SDL_atoi
#undef SDL_atoi
#endif

#ifdef SDL_atof
#undef SDL_atof
#endif

#ifdef SDL_strtol
#undef SDL_strtol
#endif

#ifdef SDL_strtoul
#undef SDL_strtoul
#endif

#ifdef SDL_strtoll
#undef SDL_strtoll
#endif

#ifdef SDL_strtoull
#undef SDL_strtoull
#endif

#ifdef SDL_strtod
#undef SDL_strtod
#endif

#ifdef SDL_strcmp
#undef SDL_strcmp
#endif

#ifdef SDL_strncmp
#undef SDL_strncmp
#endif

#ifdef SDL_strcasecmp
#undef SDL_strcasecmp
#endif

#ifdef SDL_strncasecmp
#undef SDL_strncasecmp
#endif

#ifdef SDL_vsnprintf
#undef SDL_vsnprintf
#endif

#ifdef SDL_acos
#undef SDL_acos
#endif

#ifdef SDL_asin
#undef SDL_asin
#endif

#ifdef SDL_atan
#undef SDL_atan
#endif

#ifdef SDL_atan2
#undef SDL_atan2
#endif

#ifdef SDL_ceil
#undef SDL_ceil
#endif

#ifdef SDL_copysign
#undef SDL_copysign
#endif

#ifdef SDL_cos
#undef SDL_cos
#endif

#ifdef SDL_cosf
#undef SDL_cosf
#endif

#ifdef SDL_fabs
#undef SDL_fabs
#endif

#ifdef SDL_floor
#undef SDL_floor
#endif

#ifdef SDL_log
#undef SDL_log
#endif

#ifdef SDL_pow
#undef SDL_pow
#endif

#ifdef SDL_scalbn
#undef SDL_scalbn
#endif

#ifdef SDL_sin
#undef SDL_sin
#endif

#ifdef SDL_sinf
#undef SDL_sinf
#endif

#ifdef SDL_sqrt
#undef SDL_sqrt
#endif

#ifdef SDL_iconv_open
#undef SDL_iconv_open
#endif

#ifdef SDL_iconv_close
#undef SDL_iconv_close
#endif

#ifdef SDL_iconv
#undef SDL_iconv
#endif

#ifdef SDL_iconv_string
#undef SDL_iconv_string
#endif

#ifdef SDL_CreateRGBSurface
#undef SDL_CreateRGBSurface
#endif

#ifdef SDL_CreateRGBSurfaceFrom
#undef SDL_CreateRGBSurfaceFrom
#endif

#ifdef SDL_FreeSurface
#undef SDL_FreeSurface
#endif

#ifdef SDL_SetSurfacePalette
#undef SDL_SetSurfacePalette
#endif

#ifdef SDL_LockSurface
#undef SDL_LockSurface
#endif

#ifdef SDL_UnlockSurface
#undef SDL_UnlockSurface
#endif

#ifdef SDL_LoadBMP_RW
#undef SDL_LoadBMP_RW
#endif

#ifdef SDL_SaveBMP_RW
#undef SDL_SaveBMP_RW
#endif

#ifdef SDL_SetSurfaceRLE
#undef SDL_SetSurfaceRLE
#endif

#ifdef SDL_SetColorKey
#undef SDL_SetColorKey
#endif

#ifdef SDL_GetColorKey
#undef SDL_GetColorKey
#endif

#ifdef SDL_SetSurfaceColorMod
#undef SDL_SetSurfaceColorMod
#endif

#ifdef SDL_GetSurfaceColorMod
#undef SDL_GetSurfaceColorMod
#endif

#ifdef SDL_SetSurfaceAlphaMod
#undef SDL_SetSurfaceAlphaMod
#endif

#ifdef SDL_GetSurfaceAlphaMod
#undef SDL_GetSurfaceAlphaMod
#endif

#ifdef SDL_SetSurfaceBlendMode
#undef SDL_SetSurfaceBlendMode
#endif

#ifdef SDL_GetSurfaceBlendMode
#undef SDL_GetSurfaceBlendMode
#endif

#ifdef SDL_SetClipRect
#undef SDL_SetClipRect
#endif

#ifdef SDL_GetClipRect
#undef SDL_GetClipRect
#endif

#ifdef SDL_ConvertSurface
#undef SDL_ConvertSurface
#endif

#ifdef SDL_ConvertSurfaceFormat
#undef SDL_ConvertSurfaceFormat
#endif

#ifdef SDL_ConvertPixels
#undef SDL_ConvertPixels
#endif

#ifdef SDL_FillRect
#undef SDL_FillRect
#endif

#ifdef SDL_FillRects
#undef SDL_FillRects
#endif

#ifdef SDL_UpperBlit
#undef SDL_UpperBlit
#endif

#ifdef SDL_LowerBlit
#undef SDL_LowerBlit
#endif

#ifdef SDL_SoftStretch
#undef SDL_SoftStretch
#endif

#ifdef SDL_UpperBlitScaled
#undef SDL_UpperBlitScaled
#endif

#ifdef SDL_LowerBlitScaled
#undef SDL_LowerBlitScaled
#endif

#ifdef SDL_GetWindowWMInfo
#undef SDL_GetWindowWMInfo
#endif

#ifdef SDL_GetThreadName
#undef SDL_GetThreadName
#endif

#ifdef SDL_ThreadID
#undef SDL_ThreadID
#endif

#ifdef SDL_GetThreadID
#undef SDL_GetThreadID
#endif

#ifdef SDL_SetThreadPriority
#undef SDL_SetThreadPriority
#endif

#ifdef SDL_WaitThread
#undef SDL_WaitThread
#endif

#ifdef SDL_DetachThread
#undef SDL_DetachThread
#endif

#ifdef SDL_TLSCreate
#undef SDL_TLSCreate
#endif

#ifdef SDL_TLSGet
#undef SDL_TLSGet
#endif

#ifdef SDL_TLSSet
#undef SDL_TLSSet
#endif

#ifdef SDL_GetTicks
#undef SDL_GetTicks
#endif

#ifdef SDL_GetPerformanceCounter
#undef SDL_GetPerformanceCounter
#endif

#ifdef SDL_GetPerformanceFrequency
#undef SDL_GetPerformanceFrequency
#endif

#ifdef SDL_Delay
#undef SDL_Delay
#endif

#ifdef SDL_AddTimer
#undef SDL_AddTimer
#endif

#ifdef SDL_RemoveTimer
#undef SDL_RemoveTimer
#endif

#ifdef SDL_GetNumTouchDevices
#undef SDL_GetNumTouchDevices
#endif

#ifdef SDL_GetTouchDevice
#undef SDL_GetTouchDevice
#endif

#ifdef SDL_GetNumTouchFingers
#undef SDL_GetNumTouchFingers
#endif

#ifdef SDL_GetTouchFinger
#undef SDL_GetTouchFinger
#endif

#ifdef SDL_GetVersion
#undef SDL_GetVersion
#endif

#ifdef SDL_GetRevision
#undef SDL_GetRevision
#endif

#ifdef SDL_GetRevisionNumber
#undef SDL_GetRevisionNumber
#endif

#ifdef SDL_GetNumVideoDrivers
#undef SDL_GetNumVideoDrivers
#endif

#ifdef SDL_GetVideoDriver
#undef SDL_GetVideoDriver
#endif

#ifdef SDL_VideoInit
#undef SDL_VideoInit
#endif

#ifdef SDL_VideoQuit
#undef SDL_VideoQuit
#endif

#ifdef SDL_GetCurrentVideoDriver
#undef SDL_GetCurrentVideoDriver
#endif

#ifdef SDL_GetNumVideoDisplays
#undef SDL_GetNumVideoDisplays
#endif

#ifdef SDL_GetDisplayName
#undef SDL_GetDisplayName
#endif

#ifdef SDL_GetDisplayBounds
#undef SDL_GetDisplayBounds
#endif

#ifdef SDL_GetDisplayDPI
#undef SDL_GetDisplayDPI
#endif

#ifdef SDL_GetNumDisplayModes
#undef SDL_GetNumDisplayModes
#endif

#ifdef SDL_GetDisplayMode
#undef SDL_GetDisplayMode
#endif

#ifdef SDL_GetDesktopDisplayMode
#undef SDL_GetDesktopDisplayMode
#endif

#ifdef SDL_GetCurrentDisplayMode
#undef SDL_GetCurrentDisplayMode
#endif

#ifdef SDL_GetClosestDisplayMode
#undef SDL_GetClosestDisplayMode
#endif

#ifdef SDL_GetWindowDisplayIndex
#undef SDL_GetWindowDisplayIndex
#endif

#ifdef SDL_SetWindowDisplayMode
#undef SDL_SetWindowDisplayMode
#endif

#ifdef SDL_GetWindowDisplayMode
#undef SDL_GetWindowDisplayMode
#endif

#ifdef SDL_GetWindowPixelFormat
#undef SDL_GetWindowPixelFormat
#endif

#ifdef SDL_CreateWindow
#undef SDL_CreateWindow
#endif

#ifdef SDL_CreateWindowFrom
#undef SDL_CreateWindowFrom
#endif

#ifdef SDL_GetWindowID
#undef SDL_GetWindowID
#endif

#ifdef SDL_GetWindowFromID
#undef SDL_GetWindowFromID
#endif

#ifdef SDL_GetWindowFlags
#undef SDL_GetWindowFlags
#endif

#ifdef SDL_SetWindowTitle
#undef SDL_SetWindowTitle
#endif

#ifdef SDL_GetWindowTitle
#undef SDL_GetWindowTitle
#endif

#ifdef SDL_SetWindowIcon
#undef SDL_SetWindowIcon
#endif

#ifdef SDL_SetWindowData
#undef SDL_SetWindowData
#endif

#ifdef SDL_GetWindowData
#undef SDL_GetWindowData
#endif

#ifdef SDL_SetWindowPosition
#undef SDL_SetWindowPosition
#endif

#ifdef SDL_GetWindowPosition
#undef SDL_GetWindowPosition
#endif

#ifdef SDL_SetWindowSize
#undef SDL_SetWindowSize
#endif

#ifdef SDL_GetWindowSize
#undef SDL_GetWindowSize
#endif

#ifdef SDL_SetWindowMinimumSize
#undef SDL_SetWindowMinimumSize
#endif

#ifdef SDL_GetWindowMinimumSize
#undef SDL_GetWindowMinimumSize
#endif

#ifdef SDL_SetWindowMaximumSize
#undef SDL_SetWindowMaximumSize
#endif

#ifdef SDL_GetWindowMaximumSize
#undef SDL_GetWindowMaximumSize
#endif

#ifdef SDL_SetWindowBordered
#undef SDL_SetWindowBordered
#endif

#ifdef SDL_ShowWindow
#undef SDL_ShowWindow
#endif

#ifdef SDL_HideWindow
#undef SDL_HideWindow
#endif

#ifdef SDL_RaiseWindow
#undef SDL_RaiseWindow
#endif

#ifdef SDL_MaximizeWindow
#undef SDL_MaximizeWindow
#endif

#ifdef SDL_MinimizeWindow
#undef SDL_MinimizeWindow
#endif

#ifdef SDL_RestoreWindow
#undef SDL_RestoreWindow
#endif

#ifdef SDL_SetWindowFullscreen
#undef SDL_SetWindowFullscreen
#endif

#ifdef SDL_GetWindowSurface
#undef SDL_GetWindowSurface
#endif

#ifdef SDL_UpdateWindowSurface
#undef SDL_UpdateWindowSurface
#endif

#ifdef SDL_UpdateWindowSurfaceRects
#undef SDL_UpdateWindowSurfaceRects
#endif

#ifdef SDL_SetWindowGrab
#undef SDL_SetWindowGrab
#endif

#ifdef SDL_GetWindowGrab
#undef SDL_GetWindowGrab
#endif

#ifdef SDL_SetWindowBrightness
#undef SDL_SetWindowBrightness
#endif

#ifdef SDL_GetWindowBrightness
#undef SDL_GetWindowBrightness
#endif

#ifdef SDL_SetWindowGammaRamp
#undef SDL_SetWindowGammaRamp
#endif

#ifdef SDL_GetWindowGammaRamp
#undef SDL_GetWindowGammaRamp
#endif

#ifdef SDL_DestroyWindow
#undef SDL_DestroyWindow
#endif

#ifdef SDL_IsScreenSaverEnabled
#undef SDL_IsScreenSaverEnabled
#endif

#ifdef SDL_EnableScreenSaver
#undef SDL_EnableScreenSaver
#endif

#ifdef SDL_DisableScreenSaver
#undef SDL_DisableScreenSaver
#endif

#ifdef SDL_GL_LoadLibrary
#undef SDL_GL_LoadLibrary
#endif

#ifdef SDL_GL_GetProcAddress
#undef SDL_GL_GetProcAddress
#endif

#ifdef SDL_GL_UnloadLibrary
#undef SDL_GL_UnloadLibrary
#endif

#ifdef SDL_GL_ExtensionSupported
#undef SDL_GL_ExtensionSupported
#endif

#ifdef SDL_GL_SetAttribute
#undef SDL_GL_SetAttribute
#endif

#ifdef SDL_GL_GetAttribute
#undef SDL_GL_GetAttribute
#endif

#ifdef SDL_GL_CreateContext
#undef SDL_GL_CreateContext
#endif

#ifdef SDL_GL_MakeCurrent
#undef SDL_GL_MakeCurrent
#endif

#ifdef SDL_GL_GetCurrentWindow
#undef SDL_GL_GetCurrentWindow
#endif

#ifdef SDL_GL_GetCurrentContext
#undef SDL_GL_GetCurrentContext
#endif

#ifdef SDL_GL_GetDrawableSize
#undef SDL_GL_GetDrawableSize
#endif

#ifdef SDL_GL_SetSwapInterval
#undef SDL_GL_SetSwapInterval
#endif

#ifdef SDL_GL_GetSwapInterval
#undef SDL_GL_GetSwapInterval
#endif

#ifdef SDL_GL_SwapWindow
#undef SDL_GL_SwapWindow
#endif

#ifdef SDL_GL_DeleteContext
#undef SDL_GL_DeleteContext
#endif

#ifdef SDL_vsscanf
#undef SDL_vsscanf
#endif

#ifdef SDL_GameControllerAddMappingsFromRW
#undef SDL_GameControllerAddMappingsFromRW
#endif

#ifdef SDL_GL_ResetAttributes
#undef SDL_GL_ResetAttributes
#endif

#ifdef SDL_HasAVX
#undef SDL_HasAVX
#endif

#ifdef SDL_GetDefaultAssertionHandler
#undef SDL_GetDefaultAssertionHandler
#endif

#ifdef SDL_GetAssertionHandler
#undef SDL_GetAssertionHandler
#endif

#ifdef SDL_DXGIGetOutputInfo
#undef SDL_DXGIGetOutputInfo
#endif

#ifdef SDL_RenderIsClipEnabled
#undef SDL_RenderIsClipEnabled
#endif

#ifdef SDL_WinRTRunApp
#undef SDL_WinRTRunApp
#endif

#ifdef SDL_WarpMouseGlobal
#undef SDL_WarpMouseGlobal
#endif

#ifdef SDL_WinRTGetFSPathUNICODE
#undef SDL_WinRTGetFSPathUNICODE
#endif

#ifdef SDL_WinRTGetFSPathUTF8
#undef SDL_WinRTGetFSPathUTF8
#endif

#ifdef SDL_sqrtf
#undef SDL_sqrtf
#endif

#ifdef SDL_tan
#undef SDL_tan
#endif

#ifdef SDL_tanf
#undef SDL_tanf
#endif

#ifdef SDL_CaptureMouse
#undef SDL_CaptureMouse
#endif

#ifdef SDL_SetWindowHitTest
#undef SDL_SetWindowHitTest
#endif

#ifdef SDL_GetGlobalMouseState
#undef SDL_GetGlobalMouseState
#endif

#ifdef SDL_HasAVX2
#undef SDL_HasAVX2
#endif

#ifdef SDL_QueueAudio
#undef SDL_QueueAudio
#endif

#ifdef SDL_GetQueuedAudioSize
#undef SDL_GetQueuedAudioSize
#endif

#ifdef SDL_ClearQueuedAudio
#undef SDL_ClearQueuedAudio
#endif

#ifdef SDL_GetGrabbedWindow
#undef SDL_GetGrabbedWindow
#endif

#ifdef SDL_SetWindowsMessageHook
#undef SDL_SetWindowsMessageHook
#endif

#ifdef SDL_JoystickCurrentPowerLevel
#undef SDL_JoystickCurrentPowerLevel
#endif

#ifdef SDL_GameControllerFromInstanceID
#undef SDL_GameControllerFromInstanceID
#endif

#ifdef SDL_JoystickFromInstanceID
#undef SDL_JoystickFromInstanceID
#endif

#ifdef SDL_GetDisplayUsableBounds
#undef SDL_GetDisplayUsableBounds
#endif

#ifdef SDL_GetWindowBordersSize
#undef SDL_GetWindowBordersSize
#endif

#ifdef SDL_SetWindowOpacity
#undef SDL_SetWindowOpacity
#endif

#ifdef SDL_GetWindowOpacity
#undef SDL_GetWindowOpacity
#endif

#ifdef SDL_SetWindowInputFocus
#undef SDL_SetWindowInputFocus
#endif

#ifdef SDL_SetWindowModalFor
#undef SDL_SetWindowModalFor
#endif

#ifdef SDL_RenderSetIntegerScale
#undef SDL_RenderSetIntegerScale
#endif

#ifdef SDL_RenderGetIntegerScale
#undef SDL_RenderGetIntegerScale
#endif

#ifdef SDL_DequeueAudio
#undef SDL_DequeueAudio
#endif

#ifdef SDL_SetWindowResizable
#undef SDL_SetWindowResizable
#endif

#ifdef SDL_CreateRGBSurfaceWithFormat
#undef SDL_CreateRGBSurfaceWithFormat
#endif

#ifdef SDL_CreateRGBSurfaceWithFormatFrom
#undef SDL_CreateRGBSurfaceWithFormatFrom
#endif

#ifdef SDL_GetHintBoolean
#undef SDL_GetHintBoolean
#endif

#ifdef SDL_JoystickGetDeviceVendor
#undef SDL_JoystickGetDeviceVendor
#endif

#ifdef SDL_JoystickGetDeviceProduct
#undef SDL_JoystickGetDeviceProduct
#endif

#ifdef SDL_JoystickGetDeviceProductVersion
#undef SDL_JoystickGetDeviceProductVersion
#endif

#ifdef SDL_JoystickGetVendor
#undef SDL_JoystickGetVendor
#endif

#ifdef SDL_JoystickGetProduct
#undef SDL_JoystickGetProduct
#endif

#ifdef SDL_JoystickGetProductVersion
#undef SDL_JoystickGetProductVersion
#endif

#ifdef SDL_GameControllerGetVendor
#undef SDL_GameControllerGetVendor
#endif

#ifdef SDL_GameControllerGetProduct
#undef SDL_GameControllerGetProduct
#endif

#ifdef SDL_GameControllerGetProductVersion
#undef SDL_GameControllerGetProductVersion
#endif

#ifdef SDL_HasNEON
#undef SDL_HasNEON
#endif

#ifdef SDL_GameControllerNumMappings
#undef SDL_GameControllerNumMappings
#endif

#ifdef SDL_GameControllerMappingForIndex
#undef SDL_GameControllerMappingForIndex
#endif

#ifdef SDL_JoystickGetAxisInitialState
#undef SDL_JoystickGetAxisInitialState
#endif

#ifdef SDL_JoystickGetDeviceType
#undef SDL_JoystickGetDeviceType
#endif

#ifdef SDL_JoystickGetType
#undef SDL_JoystickGetType
#endif

#ifdef SDL_MemoryBarrierReleaseFunction
#undef SDL_MemoryBarrierReleaseFunction
#endif

#ifdef SDL_MemoryBarrierAcquireFunction
#undef SDL_MemoryBarrierAcquireFunction
#endif

#ifdef SDL_JoystickGetDeviceInstanceID
#undef SDL_JoystickGetDeviceInstanceID
#endif

#ifdef SDL_utf8strlen
#undef SDL_utf8strlen
#endif

#ifdef SDL_LoadFile_RW
#undef SDL_LoadFile_RW
#endif

#ifdef SDL_wcscmp
#undef SDL_wcscmp
#endif

#ifdef SDL_ComposeCustomBlendMode
#undef SDL_ComposeCustomBlendMode
#endif

#ifdef SDL_DuplicateSurface
#undef SDL_DuplicateSurface
#endif

#ifdef SDL_Vulkan_LoadLibrary
#undef SDL_Vulkan_LoadLibrary
#endif

#ifdef SDL_Vulkan_GetVkGetInstanceProcAddr
#undef SDL_Vulkan_GetVkGetInstanceProcAddr
#endif

#ifdef SDL_Vulkan_UnloadLibrary
#undef SDL_Vulkan_UnloadLibrary
#endif

#ifdef SDL_Vulkan_GetInstanceExtensions
#undef SDL_Vulkan_GetInstanceExtensions
#endif

#ifdef SDL_Vulkan_CreateSurface
#undef SDL_Vulkan_CreateSurface
#endif

#ifdef SDL_Vulkan_GetDrawableSize
#undef SDL_Vulkan_GetDrawableSize
#endif

#ifdef SDL_LockJoysticks
#undef SDL_LockJoysticks
#endif

#ifdef SDL_UnlockJoysticks
#undef SDL_UnlockJoysticks
#endif

#ifdef SDL_GetMemoryFunctions
#undef SDL_GetMemoryFunctions
#endif

#ifdef SDL_SetMemoryFunctions
#undef SDL_SetMemoryFunctions
#endif

#ifdef SDL_GetNumAllocations
#undef SDL_GetNumAllocations
#endif

#ifdef SDL_NewAudioStream
#undef SDL_NewAudioStream
#endif

#ifdef SDL_AudioStreamPut
#undef SDL_AudioStreamPut
#endif

#ifdef SDL_AudioStreamGet
#undef SDL_AudioStreamGet
#endif

#ifdef SDL_AudioStreamClear
#undef SDL_AudioStreamClear
#endif

#ifdef SDL_AudioStreamAvailable
#undef SDL_AudioStreamAvailable
#endif

#ifdef SDL_FreeAudioStream
#undef SDL_FreeAudioStream
#endif

#ifdef SDL_AudioStreamFlush
#undef SDL_AudioStreamFlush
#endif

#ifdef SDL_acosf
#undef SDL_acosf
#endif

#ifdef SDL_asinf
#undef SDL_asinf
#endif

#ifdef SDL_atanf
#undef SDL_atanf
#endif

#ifdef SDL_atan2f
#undef SDL_atan2f
#endif

#ifdef SDL_ceilf
#undef SDL_ceilf
#endif

#ifdef SDL_copysignf
#undef SDL_copysignf
#endif

#ifdef SDL_fabsf
#undef SDL_fabsf
#endif

#ifdef SDL_floorf
#undef SDL_floorf
#endif

#ifdef SDL_logf
#undef SDL_logf
#endif

#ifdef SDL_powf
#undef SDL_powf
#endif

#ifdef SDL_scalbnf
#undef SDL_scalbnf
#endif

#ifdef SDL_fmod
#undef SDL_fmod
#endif

#ifdef SDL_fmodf
#undef SDL_fmodf
#endif

#ifdef SDL_SetYUVConversionMode
#undef SDL_SetYUVConversionMode
#endif

#ifdef SDL_GetYUVConversionMode
#undef SDL_GetYUVConversionMode
#endif

#ifdef SDL_GetYUVConversionModeForResolution
#undef SDL_GetYUVConversionModeForResolution
#endif

#ifdef SDL_RenderGetMetalLayer
#undef SDL_RenderGetMetalLayer
#endif

#ifdef SDL_RenderGetMetalCommandEncoder
#undef SDL_RenderGetMetalCommandEncoder
#endif

#ifdef SDL_IsAndroidTV
#undef SDL_IsAndroidTV
#endif

#ifdef SDL_WinRTGetDeviceFamily
#undef SDL_WinRTGetDeviceFamily
#endif

#ifdef SDL_log10
#undef SDL_log10
#endif

#ifdef SDL_log10f
#undef SDL_log10f
#endif

#ifdef SDL_GameControllerMappingForDeviceIndex
#undef SDL_GameControllerMappingForDeviceIndex
#endif

#ifdef SDL_LinuxSetThreadPriority
#undef SDL_LinuxSetThreadPriority
#endif

#ifdef SDL_HasAVX512F
#undef SDL_HasAVX512F
#endif

#ifdef SDL_IsChromebook
#undef SDL_IsChromebook
#endif

#ifdef SDL_IsDeXMode
#undef SDL_IsDeXMode
#endif

#ifdef SDL_AndroidBackButton
#undef SDL_AndroidBackButton
#endif

#ifdef SDL_exp
#undef SDL_exp
#endif

#ifdef SDL_expf
#undef SDL_expf
#endif

#ifdef SDL_wcsdup
#undef SDL_wcsdup
#endif

#ifdef SDL_GameControllerRumble
#undef SDL_GameControllerRumble
#endif

#ifdef SDL_JoystickRumble
#undef SDL_JoystickRumble
#endif

#ifdef SDL_NumSensors
#undef SDL_NumSensors
#endif

#ifdef SDL_SensorGetDeviceName
#undef SDL_SensorGetDeviceName
#endif

#ifdef SDL_SensorGetDeviceType
#undef SDL_SensorGetDeviceType
#endif

#ifdef SDL_SensorGetDeviceNonPortableType
#undef SDL_SensorGetDeviceNonPortableType
#endif

#ifdef SDL_SensorGetDeviceInstanceID
#undef SDL_SensorGetDeviceInstanceID
#endif

#ifdef SDL_SensorOpen
#undef SDL_SensorOpen
#endif

#ifdef SDL_SensorFromInstanceID
#undef SDL_SensorFromInstanceID
#endif

#ifdef SDL_SensorGetName
#undef SDL_SensorGetName
#endif

#ifdef SDL_SensorGetType
#undef SDL_SensorGetType
#endif

#ifdef SDL_SensorGetNonPortableType
#undef SDL_SensorGetNonPortableType
#endif

#ifdef SDL_SensorGetInstanceID
#undef SDL_SensorGetInstanceID
#endif

#ifdef SDL_SensorGetData
#undef SDL_SensorGetData
#endif

#ifdef SDL_SensorClose
#undef SDL_SensorClose
#endif

#ifdef SDL_SensorUpdate
#undef SDL_SensorUpdate
#endif

#ifdef SDL_IsTablet
#undef SDL_IsTablet
#endif

#ifdef SDL_GetDisplayOrientation
#undef SDL_GetDisplayOrientation
#endif

#ifdef SDL_HasColorKey
#undef SDL_HasColorKey
#endif

#ifdef SDL_CreateThreadWithStackSize
#undef SDL_CreateThreadWithStackSize
#endif

#ifdef SDL_JoystickGetDevicePlayerIndex
#undef SDL_JoystickGetDevicePlayerIndex
#endif

#ifdef SDL_JoystickGetPlayerIndex
#undef SDL_JoystickGetPlayerIndex
#endif

#ifdef SDL_GameControllerGetPlayerIndex
#undef SDL_GameControllerGetPlayerIndex
#endif

#ifdef SDL_RenderFlush
#undef SDL_RenderFlush
#endif

#ifdef SDL_RenderDrawPointF
#undef SDL_RenderDrawPointF
#endif

#ifdef SDL_RenderDrawPointsF
#undef SDL_RenderDrawPointsF
#endif

#ifdef SDL_RenderDrawLineF
#undef SDL_RenderDrawLineF
#endif

#ifdef SDL_RenderDrawLinesF
#undef SDL_RenderDrawLinesF
#endif

#ifdef SDL_RenderDrawRectF
#undef SDL_RenderDrawRectF
#endif

#ifdef SDL_RenderDrawRectsF
#undef SDL_RenderDrawRectsF
#endif

#ifdef SDL_RenderFillRectF
#undef SDL_RenderFillRectF
#endif

#ifdef SDL_RenderFillRectsF
#undef SDL_RenderFillRectsF
#endif

#ifdef SDL_RenderCopyF
#undef SDL_RenderCopyF
#endif

#ifdef SDL_RenderCopyExF
#undef SDL_RenderCopyExF
#endif

#ifdef SDL_GetTouchDeviceType
#undef SDL_GetTouchDeviceType
#endif

#ifdef SDL_UIKitRunApp
#undef SDL_UIKitRunApp
#endif

#ifdef SDL_SIMDGetAlignment
#undef SDL_SIMDGetAlignment
#endif

#ifdef SDL_SIMDAlloc
#undef SDL_SIMDAlloc
#endif

#ifdef SDL_SIMDFree
#undef SDL_SIMDFree
#endif

#ifdef SDL_RWsize
#undef SDL_RWsize
#endif

#ifdef SDL_RWseek
#undef SDL_RWseek
#endif

#ifdef SDL_RWtell
#undef SDL_RWtell
#endif

#ifdef SDL_RWread
#undef SDL_RWread
#endif

#ifdef SDL_RWwrite
#undef SDL_RWwrite
#endif

#ifdef SDL_RWclose
#undef SDL_RWclose
#endif

#ifdef SDL_LoadFile
#undef SDL_LoadFile
#endif

#ifdef SDL_Metal_CreateView
#undef SDL_Metal_CreateView
#endif

#ifdef SDL_Metal_DestroyView
#undef SDL_Metal_DestroyView
#endif

#ifdef SDL_LockTextureToSurface
#undef SDL_LockTextureToSurface
#endif

#ifdef SDL_HasARMSIMD
#undef SDL_HasARMSIMD
#endif

#ifdef SDL_strtokr
#undef SDL_strtokr
#endif

#ifdef SDL_wcsstr
#undef SDL_wcsstr
#endif

#ifdef SDL_wcsncmp
#undef SDL_wcsncmp
#endif

#ifdef SDL_GameControllerTypeForIndex
#undef SDL_GameControllerTypeForIndex
#endif

#ifdef SDL_GameControllerGetType
#undef SDL_GameControllerGetType
#endif

#ifdef SDL_GameControllerFromPlayerIndex
#undef SDL_GameControllerFromPlayerIndex
#endif

#ifdef SDL_GameControllerSetPlayerIndex
#undef SDL_GameControllerSetPlayerIndex
#endif

#ifdef SDL_JoystickFromPlayerIndex
#undef SDL_JoystickFromPlayerIndex
#endif

#ifdef SDL_JoystickSetPlayerIndex
#undef SDL_JoystickSetPlayerIndex
#endif

#ifdef SDL_SetTextureScaleMode
#undef SDL_SetTextureScaleMode
#endif

#ifdef SDL_GetTextureScaleMode
#undef SDL_GetTextureScaleMode
#endif

#ifdef SDL_OnApplicationWillTerminate
#undef SDL_OnApplicationWillTerminate
#endif

#ifdef SDL_OnApplicationDidReceiveMemoryWarning
#undef SDL_OnApplicationDidReceiveMemoryWarning
#endif

#ifdef SDL_OnApplicationWillResignActive
#undef SDL_OnApplicationWillResignActive
#endif

#ifdef SDL_OnApplicationDidEnterBackground
#undef SDL_OnApplicationDidEnterBackground
#endif

#ifdef SDL_OnApplicationWillEnterForeground
#undef SDL_OnApplicationWillEnterForeground
#endif

#ifdef SDL_OnApplicationDidBecomeActive
#undef SDL_OnApplicationDidBecomeActive
#endif

#ifdef SDL_OnApplicationDidChangeStatusBarOrientation
#undef SDL_OnApplicationDidChangeStatusBarOrientation
#endif

#ifdef SDL_GetAndroidSDKVersion
#undef SDL_GetAndroidSDKVersion
#endif

#ifdef SDL_isupper
#undef SDL_isupper
#endif

#ifdef SDL_islower
#undef SDL_islower
#endif

#ifdef SDL_JoystickAttachVirtual
#undef SDL_JoystickAttachVirtual
#endif

#ifdef SDL_JoystickDetachVirtual
#undef SDL_JoystickDetachVirtual
#endif

#ifdef SDL_JoystickIsVirtual
#undef SDL_JoystickIsVirtual
#endif

#ifdef SDL_JoystickSetVirtualAxis
#undef SDL_JoystickSetVirtualAxis
#endif

#ifdef SDL_JoystickSetVirtualButton
#undef SDL_JoystickSetVirtualButton
#endif

#ifdef SDL_JoystickSetVirtualHat
#undef SDL_JoystickSetVirtualHat
#endif

#ifdef SDL_GetErrorMsg
#undef SDL_GetErrorMsg
#endif

#ifdef SDL_LockSensors
#undef SDL_LockSensors
#endif

#ifdef SDL_UnlockSensors
#undef SDL_UnlockSensors
#endif

#ifdef SDL_Metal_GetLayer
#undef SDL_Metal_GetLayer
#endif

#ifdef SDL_Metal_GetDrawableSize
#undef SDL_Metal_GetDrawableSize
#endif

#ifdef SDL_trunc
#undef SDL_trunc
#endif

#ifdef SDL_truncf
#undef SDL_truncf
#endif

#ifdef SDL_GetPreferredLocales
#undef SDL_GetPreferredLocales
#endif

#ifdef SDL_SIMDRealloc
#undef SDL_SIMDRealloc
#endif

#ifdef SDL_AndroidRequestPermission
#undef SDL_AndroidRequestPermission
#endif

#ifdef SDL_OpenURL
#undef SDL_OpenURL
#endif

#ifdef SDL_HasSurfaceRLE
#undef SDL_HasSurfaceRLE
#endif

#ifdef SDL_GameControllerHasLED
#undef SDL_GameControllerHasLED
#endif

#ifdef SDL_GameControllerSetLED
#undef SDL_GameControllerSetLED
#endif

#ifdef SDL_JoystickHasLED
#undef SDL_JoystickHasLED
#endif

#ifdef SDL_JoystickSetLED
#undef SDL_JoystickSetLED
#endif

#ifdef SDL_GameControllerRumbleTriggers
#undef SDL_GameControllerRumbleTriggers
#endif

#ifdef SDL_JoystickRumbleTriggers
#undef SDL_JoystickRumbleTriggers
#endif

#ifdef SDL_GameControllerHasAxis
#undef SDL_GameControllerHasAxis
#endif

#ifdef SDL_GameControllerHasButton
#undef SDL_GameControllerHasButton
#endif

#ifdef SDL_GameControllerGetNumTouchpads
#undef SDL_GameControllerGetNumTouchpads
#endif

#ifdef SDL_GameControllerGetNumTouchpadFingers
#undef SDL_GameControllerGetNumTouchpadFingers
#endif

#ifdef SDL_GameControllerGetTouchpadFinger
#undef SDL_GameControllerGetTouchpadFinger
#endif

#ifdef SDL_crc32
#undef SDL_crc32
#endif

#ifdef SDL_GameControllerGetSerial
#undef SDL_GameControllerGetSerial
#endif

#ifdef SDL_JoystickGetSerial
#undef SDL_JoystickGetSerial
#endif

#ifdef SDL_GameControllerHasSensor
#undef SDL_GameControllerHasSensor
#endif

#ifdef SDL_GameControllerSetSensorEnabled
#undef SDL_GameControllerSetSensorEnabled
#endif

#ifdef SDL_GameControllerIsSensorEnabled
#undef SDL_GameControllerIsSensorEnabled
#endif

#ifdef SDL_GameControllerGetSensorData
#undef SDL_GameControllerGetSensorData
#endif

#ifdef SDL_wcscasecmp
#undef SDL_wcscasecmp
#endif

#ifdef SDL_wcsncasecmp
#undef SDL_wcsncasecmp
#endif

#ifdef SDL_round
#undef SDL_round
#endif

#ifdef SDL_roundf
#undef SDL_roundf
#endif

#ifdef SDL_lround
#undef SDL_lround
#endif

#ifdef SDL_lroundf
#undef SDL_lroundf
#endif

#ifdef SDL_SoftStretchLinear
#undef SDL_SoftStretchLinear
#endif

#ifdef SDL_RenderGetD3D11Device
#undef SDL_RenderGetD3D11Device
#endif

#ifdef SDL_UpdateNVTexture
#undef SDL_UpdateNVTexture
#endif

#ifdef SDL_SetWindowKeyboardGrab
#undef SDL_SetWindowKeyboardGrab
#endif

#ifdef SDL_SetWindowMouseGrab
#undef SDL_SetWindowMouseGrab
#endif

#ifdef SDL_GetWindowKeyboardGrab
#undef SDL_GetWindowKeyboardGrab
#endif

#ifdef SDL_GetWindowMouseGrab
#undef SDL_GetWindowMouseGrab
#endif

#ifdef SDL_isalpha
#undef SDL_isalpha
#endif

#ifdef SDL_isalnum
#undef SDL_isalnum
#endif

#ifdef SDL_isblank
#undef SDL_isblank
#endif

#ifdef SDL_iscntrl
#undef SDL_iscntrl
#endif

#ifdef SDL_isxdigit
#undef SDL_isxdigit
#endif

#ifdef SDL_ispunct
#undef SDL_ispunct
#endif

#ifdef SDL_isprint
#undef SDL_isprint
#endif

#ifdef SDL_isgraph
#undef SDL_isgraph
#endif

#ifdef SDL_AndroidShowToast
#undef SDL_AndroidShowToast
#endif

#ifdef SDL_GetAudioDeviceSpec
#undef SDL_GetAudioDeviceSpec
#endif

#ifdef SDL_TLSCleanup
#undef SDL_TLSCleanup
#endif

#ifdef SDL_SetWindowAlwaysOnTop
#undef SDL_SetWindowAlwaysOnTop
#endif

#ifdef SDL_FlashWindow
#undef SDL_FlashWindow
#endif

#ifdef SDL_GameControllerSendEffect
#undef SDL_GameControllerSendEffect
#endif

#ifdef SDL_JoystickSendEffect
#undef SDL_JoystickSendEffect
#endif

#ifdef SDL_GameControllerGetSensorDataRate
#undef SDL_GameControllerGetSensorDataRate
#endif

#ifdef SDL_SetTextureUserData
#undef SDL_SetTextureUserData
#endif

#ifdef SDL_GetTextureUserData
#undef SDL_GetTextureUserData
#endif

#ifdef SDL_RenderGeometry
#undef SDL_RenderGeometry
#endif

#ifdef SDL_RenderGeometryRaw
#undef SDL_RenderGeometryRaw
#endif

#ifdef SDL_RenderSetVSync
#undef SDL_RenderSetVSync
#endif

#ifdef SDL_asprintf
#undef SDL_asprintf
#endif

#ifdef SDL_vasprintf
#undef SDL_vasprintf
#endif

#ifdef SDL_GetWindowICCProfile
#undef SDL_GetWindowICCProfile
#endif

#ifdef SDL_GetTicks64
#undef SDL_GetTicks64
#endif

#ifdef SDL_LinuxSetThreadPriorityAndPolicy
#undef SDL_LinuxSetThreadPriorityAndPolicy
#endif

#ifdef SDL_GameControllerGetAppleSFSymbolsNameForButton
#undef SDL_GameControllerGetAppleSFSymbolsNameForButton
#endif

#ifdef SDL_GameControllerGetAppleSFSymbolsNameForAxis
#undef SDL_GameControllerGetAppleSFSymbolsNameForAxis
#endif

#ifdef SDL_hid_init
#undef SDL_hid_init
#endif

#ifdef SDL_hid_exit
#undef SDL_hid_exit
#endif

#ifdef SDL_hid_device_change_count
#undef SDL_hid_device_change_count
#endif

#ifdef SDL_hid_enumerate
#undef SDL_hid_enumerate
#endif

#ifdef SDL_hid_free_enumeration
#undef SDL_hid_free_enumeration
#endif

#ifdef SDL_hid_open
#undef SDL_hid_open
#endif

#ifdef SDL_hid_open_path
#undef SDL_hid_open_path
#endif

#ifdef SDL_hid_write
#undef SDL_hid_write
#endif

#ifdef SDL_hid_read_timeout
#undef SDL_hid_read_timeout
#endif

#ifdef SDL_hid_read
#undef SDL_hid_read
#endif

#ifdef SDL_hid_set_nonblocking
#undef SDL_hid_set_nonblocking
#endif

#ifdef SDL_hid_send_feature_report
#undef SDL_hid_send_feature_report
#endif

#ifdef SDL_hid_get_feature_report
#undef SDL_hid_get_feature_report
#endif

#ifdef SDL_hid_close
#undef SDL_hid_close
#endif

#ifdef SDL_hid_get_manufacturer_string
#undef SDL_hid_get_manufacturer_string
#endif

#ifdef SDL_hid_get_product_string
#undef SDL_hid_get_product_string
#endif

#ifdef SDL_hid_get_serial_number_string
#undef SDL_hid_get_serial_number_string
#endif

#ifdef SDL_hid_get_indexed_string
#undef SDL_hid_get_indexed_string
#endif

#ifdef SDL_SetWindowMouseRect
#undef SDL_SetWindowMouseRect
#endif

#ifdef SDL_GetWindowMouseRect
#undef SDL_GetWindowMouseRect
#endif

#ifdef SDL_RenderWindowToLogical
#undef SDL_RenderWindowToLogical
#endif

#ifdef SDL_RenderLogicalToWindow
#undef SDL_RenderLogicalToWindow
#endif

#ifdef SDL_JoystickHasRumble
#undef SDL_JoystickHasRumble
#endif

#ifdef SDL_JoystickHasRumbleTriggers
#undef SDL_JoystickHasRumbleTriggers
#endif

#ifdef SDL_GameControllerHasRumble
#undef SDL_GameControllerHasRumble
#endif

#ifdef SDL_GameControllerHasRumbleTriggers
#undef SDL_GameControllerHasRumbleTriggers
#endif

#ifdef SDL_hid_ble_scan
#undef SDL_hid_ble_scan
#endif

#ifdef SDL_PremultiplyAlpha
#undef SDL_PremultiplyAlpha
#endif

#ifdef SDL_AndroidSendMessage
#undef SDL_AndroidSendMessage
#endif

#ifdef SDL_GetTouchName
#undef SDL_GetTouchName
#endif

#ifdef SDL_ClearComposition
#undef SDL_ClearComposition
#endif

#ifdef SDL_IsTextInputShown
#undef SDL_IsTextInputShown
#endif

#ifdef SDL_HasIntersectionF
#undef SDL_HasIntersectionF
#endif

#ifdef SDL_IntersectFRect
#undef SDL_IntersectFRect
#endif

#ifdef SDL_UnionFRect
#undef SDL_UnionFRect
#endif

#ifdef SDL_EncloseFPoints
#undef SDL_EncloseFPoints
#endif

#ifdef SDL_IntersectFRectAndLine
#undef SDL_IntersectFRectAndLine
#endif

#ifdef SDL_RenderGetWindow
#undef SDL_RenderGetWindow
#endif

#ifdef SDL_bsearch
#undef SDL_bsearch
#endif

#ifdef SDL_GameControllerPathForIndex
#undef SDL_GameControllerPathForIndex
#endif

#ifdef SDL_GameControllerPath
#undef SDL_GameControllerPath
#endif

#ifdef SDL_JoystickPathForIndex
#undef SDL_JoystickPathForIndex
#endif

#ifdef SDL_JoystickPath
#undef SDL_JoystickPath
#endif

#ifdef SDL_JoystickAttachVirtualEx
#undef SDL_JoystickAttachVirtualEx
#endif

#ifdef SDL_GameControllerGetFirmwareVersion
#undef SDL_GameControllerGetFirmwareVersion
#endif

#ifdef SDL_JoystickGetFirmwareVersion
#undef SDL_JoystickGetFirmwareVersion
#endif

#ifdef SDL_GUIDToString
#undef SDL_GUIDToString
#endif

#ifdef SDL_GUIDFromString
#undef SDL_GUIDFromString
#endif

#ifdef SDL_HasLSX
#undef SDL_HasLSX
#endif

#ifdef SDL_HasLASX
#undef SDL_HasLASX
#endif

#ifdef SDL_RenderGetD3D12Device
#undef SDL_RenderGetD3D12Device
#endif

#ifdef SDL_utf8strnlen
#undef SDL_utf8strnlen
#endif

#ifdef SDL_GDKGetTaskQueue
#undef SDL_GDKGetTaskQueue
#endif

#ifdef SDL_GDKRunApp
#undef SDL_GDKRunApp
#endif

#ifdef SDL_GetOriginalMemoryFunctions
#undef SDL_GetOriginalMemoryFunctions
#endif

#ifdef SDL_ResetKeyboard
#undef SDL_ResetKeyboard
#endif

#ifdef SDL_GetDefaultAudioInfo
#undef SDL_GetDefaultAudioInfo
#endif

#ifdef SDL_GetPointDisplayIndex
#undef SDL_GetPointDisplayIndex
#endif

#ifdef SDL_GetRectDisplayIndex
#undef SDL_GetRectDisplayIndex
#endif

#ifdef SDL_ResetHint
#undef SDL_ResetHint
#endif

#ifdef SDL_crc16
#undef SDL_crc16
#endif

#ifdef SDL_GetWindowSizeInPixels
#undef SDL_GetWindowSizeInPixels
#endif

#ifdef SDL_GetJoystickGUIDInfo
#undef SDL_GetJoystickGUIDInfo
#endif

#ifdef SDL_SetPrimarySelectionText
#undef SDL_SetPrimarySelectionText
#endif

#ifdef SDL_GetPrimarySelectionText
#undef SDL_GetPrimarySelectionText
#endif

#ifdef SDL_HasPrimarySelectionText
#undef SDL_HasPrimarySelectionText
#endif

#ifdef SDL_GameControllerGetSensorDataWithTimestamp
#undef SDL_GameControllerGetSensorDataWithTimestamp
#endif

#ifdef SDL_SensorGetDataWithTimestamp
#undef SDL_SensorGetDataWithTimestamp
#endif

#ifdef SDL_ResetHints
#undef SDL_ResetHints
#endif

#ifdef SDL_strcasestr
#undef SDL_strcasestr
#endif

#ifdef SDL_GDKSuspendComplete
#undef SDL_GDKSuspendComplete
#endif

/* undefine these macros too: */
/* redefine using SDL2_xxx, if needed. */

#ifdef SDL_enabled_assert
#undef SDL_enabled_assert
#endif

#ifdef SDL_OutOfMemory
#undef SDL_OutOfMemory
#endif

#ifdef SDL_Unsupported
#undef SDL_Unsupported
#endif

#ifdef SDL_InvalidParamError
#undef SDL_InvalidParamError
#endif

#ifdef AtomicIncRef
#undef AtomicIncRef
#endif

#ifdef SDL_AtomicDecRef
#undef SDL_AtomicDecRef
#endif

#ifdef SDL_copyp
#undef SDL_copyp
#endif

#ifdef SDL_zero
#undef SDL_zero
#endif

#ifdef SDL_zeroa
#undef SDL_zeroa
#endif

#ifdef SDL_zerop
#undef SDL_zerop
#endif

#ifdef SDL_stack_alloc
#undef SDL_stack_alloc
#endif

#ifdef SDL_stack_free
#undef SDL_stack_free
#endif

#ifdef SDL_iconv_utf8_locale
#undef SDL_iconv_utf8_locale
#endif

#ifdef SDL_iconv_utf8_ucs2
#undef SDL_iconv_utf8_ucs2
#endif

#ifdef SDL_iconv_utf8_ucs4
#undef SDL_iconv_utf8_ucs4
#endif

#ifdef SDL_iconv_wchar_utf8
#undef SDL_iconv_wchar_utf8
#endif

#ifdef SDL_LoadWAV
#undef SDL_LoadWAV
#endif

#ifdef SDL_LoadBMP
#undef SDL_LoadBMP
#endif

#ifdef SDL_SaveBMP
#undef SDL_SaveBMP
#endif

#ifdef SDL_GameControllerAddMappingsFromFile
#undef SDL_GameControllerAddMappingsFromFile
#endif

#ifdef SDL_iOSSetAnimationCallback
#undef SDL_iOSSetAnimationCallback
#endif

#ifdef SDL_iOSSetEventPump
#undef SDL_iOSSetEventPump
#endif

#endif

/* vi: set ts=4 sw=4 expandtab: */
